package com.datacloudsec.scan.service.impl;

import com.datacloudsec.exception.UEException;
import com.datacloudsec.scan.cache.DbRule;
import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.scan.dao.GradeMapper;
import com.datacloudsec.scan.dao.HostscanMapper;
import com.datacloudsec.scan.dao.PwddicMapper;
import com.datacloudsec.scan.dao.ReportMapper;
import com.datacloudsec.scan.dao.SysconfigMapper;
import com.datacloudsec.scan.dao.SystemTempMapper;
import com.datacloudsec.scan.dao.TaskBaseMapper;
import com.datacloudsec.scan.dao.WebPoliciesMapper;
import com.datacloudsec.scan.dao.WebTempMapper;
import com.datacloudsec.scan.entity.Task;
import com.datacloudsec.scan.service.IDb;
import com.datacloudsec.scan.service.IDevice;
import com.datacloudsec.scan.service.IReport;
import com.datacloudsec.scan.service.IWeb;
import com.datacloudsec.scan.tasks.InitSystemTask;
import com.datacloudsec.utils.ChartUtil;
import com.datacloudsec.utils.DataRule;
import com.datacloudsec.utils.DateUtil;
import com.datacloudsec.utils.EntryResult;
import com.datacloudsec.utils.FreemarkUtil;
import com.datacloudsec.utils.IPUtil;
import com.datacloudsec.utils.InstanceUtil;
import com.datacloudsec.utils.JsonUtil;
import com.datacloudsec.utils.ObjectUtil;
import com.datacloudsec.utils.PdfUtil;
import com.datacloudsec.utils.SecretUtil;
import com.datacloudsec.utils.SystemUtil;
import com.datacloudsec.utils.ZipUtil;
import java.awt.Color;
import java.awt.image.BufferedImage;
import java.awt.image.ImageObserver;
import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import java.util.Set;
import javax.imageio.ImageIO;
import javax.servlet.http.HttpSession;
import net.lingala.zip4j.core.ZipFile;
import net.lingala.zip4j.model.ZipParameters;
import org.apache.commons.collections4.CollectionUtils;
import org.apache.commons.collections4.MapUtils;
import org.apache.commons.fileupload.FileItem;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.IOUtils;
import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang.time.DateFormatUtils;
import org.apache.log4j.Logger;
import sun.misc.BASE64Encoder;

/* loaded from: com_datacloudsec_scan_service_impl.jar:com/datacloudsec/scan/service/impl/ReportService.class */
public class ReportService implements IReport {
    private ReportMapper reportMapper = (ReportMapper) InstanceUtil.newDaoInstance(ReportMapper.class);
    private GradeMapper gradeMapper = (GradeMapper) InstanceUtil.newDaoInstance(GradeMapper.class);
    private TaskBaseMapper taskBaseMapper = (TaskBaseMapper) InstanceUtil.newDaoInstance(TaskBaseMapper.class);
    private WebPoliciesMapper webPoliciesMapper = (WebPoliciesMapper) InstanceUtil.newDaoInstance(WebPoliciesMapper.class);
    private PwddicMapper pwddicMapper = (PwddicMapper) InstanceUtil.newDaoInstance(PwddicMapper.class);
    private HostscanMapper hostscanMapper = (HostscanMapper) InstanceUtil.newDaoInstance(HostscanMapper.class);
    private SysconfigMapper sysconfigMapper = (SysconfigMapper) InstanceUtil.newDaoInstance(SysconfigMapper.class);
    private WebTempMapper webTempMapper = (WebTempMapper) InstanceUtil.newDaoInstance(WebTempMapper.class);
    private SystemTempMapper systemTempMapper = (SystemTempMapper) InstanceUtil.newDaoInstance(SystemTempMapper.class);
    private Logger LOG = Logger.getLogger(ReportService.class);
    private static final Color[] BUG_COLORS = {Color.decode("#FF0000"), Color.decode("#E36C0A"), Color.decode("#00B0F0"), Color.decode("#00B050")};
    private static final Color[] BUG_TYPE_COLOS = {Color.decode("#4572A7"), Color.decode("#AA4643"), Color.decode("#89A54E"), Color.decode("#80699B"), Color.decode("#3D96AE"), Color.decode("#DB843D"), Color.decode("#92A8CD"), Color.decode("#A47D7C"), Color.decode("#B5CA92")};
    private static final Color[] DB_BUG_COLORS = {Color.decode("#FF0000"), Color.decode("#C33430"), Color.decode("#E36C0A"), Color.decode("#00B0F0"), Color.decode("#00B050")};
    public static final String REPORT_STATE_READY = "0";
    public static final String REPORT_STATE_SUCCESS = "1";
    public static final String REPORT_STATE_FAILED = "2";

    private Map<String, Object> getSysReportXls(Integer id, String chktype) throws Exception {
        Map<String, Object> r = new HashMap<>();
        if (chktype.contains("4")) {
            List<Map<String, Object>> bugDetails = this.reportMapper.bugDetail(id);
            r.put("bugXls", bugDetails);
            r.put("count", Integer.valueOf(bugDetails.size() + 1));
        }
        return r;
    }

    private String deviceRiskLevel(Integer score) throws Exception {
        if (score == null || score.intValue() <= 20) {
            return "high";
        }
        if (score.intValue() > 20 && score.intValue() < 60) {
            return "medium";
        }
        if (score.intValue() >= 60 && score.intValue() < 80) {
            return "low";
        }
        return "info_";
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:92:0x05e3 A[LOOP:3: B:90:0x064b->B:92:0x05e3, LOOP_END] */
    /* JADX WARN: Removed duplicated region for block: B:97:0x0717 A[LOOP:4: B:95:0x0760->B:97:0x0717, LOOP_END] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public java.util.Map<java.lang.String, java.lang.Object> getHostscanReportSummary(java.lang.Integer r11, java.lang.String r12) throws java.lang.Exception {
        /*
            Method dump skipped, instructions count: 2300
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.datacloudsec.scan.service.impl.ReportService.getHostscanReportSummary(java.lang.Integer, java.lang.String):java.util.Map");
    }

    /* JADX WARN: Multi-variable type inference failed */
    public Map<String, Object> getBlineReportSummary(Integer taskid, String chktype, Integer flag) throws Exception {
        Object chktypeList = Arrays.asList(chktype.split(","));
        Map<String, Object> r = new HashMap<>();
        Task t = this.taskBaseMapper.getTaskById(taskid);
        if (t == null) {
            throw new UEException("任务不存在！");
        }
        r.put("chktype", chktypeList);
        List<Map<String, Object>> devices = this.taskBaseMapper.getTaskDevByTid(taskid);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        Map<String, Object> bug = null;
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("failDev", this.taskBaseMapper.getFailDevByTid(t.getId()));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        Map<String, String> ipUrl = new HashMap<>();
        float score = 0.0f;
        for (Map<String, Object> dev : devices) {
            String name = ObjectUtil.getString(dev.get("name"), "");
            if (flag.intValue() == 0) {
                ipUrl.put(name, "/report/show.html?id=" + dev.get("id") + "&taskType=2");
            } else {
                ipUrl.put(name, String.valueOf(ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "")) + "/" + ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "") + ".html");
            }
            score += ObjectUtil.getFloat(this.reportMapper.blineScore(ObjectUtil.getInt(dev.get("id"))).get("score"), 0.0f);
        }
        r.put("ipUrl", ipUrl);
        r.put("score", Float.valueOf(CollectionUtils.isNotEmpty(devices) ? score / devices.size() : 10.0f));
        r.put("summarize", summarize);
        Map<String, Object> level = new HashMap<>();
        Iterator<Map<String, Object>> it = devices.iterator();
        while (it.hasNext()) {
            String riskLevel = deviceRiskLevel(Integer.valueOf(ObjectUtil.getInt(this.reportMapper.blineScore(ObjectUtil.getInt(it.next().get("id"))).get("score"), 0)));
            level.put(new StringBuilder().append(DEVICE_RISK_LEVEL.get(riskLevel)).toString(), Integer.valueOf(ObjectUtil.getInt(level.get(DEVICE_RISK_LEVEL.get(riskLevel)), 0) + 1));
        }
        r.put("hostRisk", ChartUtil.pie(level, DEVICE_COLORS, 400, 400));
        chartKeys.add("hostRisk");
        r.put("riskType", ChartUtil.pie(EntryResult.parseEntry(this.reportMapper.blineBugLevelTask(taskid), "text", "value"), (Map) null, 400, 400));
        chartKeys.add("riskType");
        if (0 == 0) {
            bug = this.reportMapper.blineLevelTask(taskid);
        }
        List<Map<String, Object>> list = new ArrayList<>();
        for (Object[] objArr : new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}) {
            HashMap hashMap = new HashMap();
            hashMap.put("value", Integer.valueOf(ObjectUtil.getInt(bug.get(objArr[0]), 0)));
            hashMap.put("text", objArr[1]);
            list.add(hashMap);
        }
        r.put("riskLevel", ChartUtil.column(list, false, false, BUG_COLORS, "漏洞数", 700, 300));
        chartKeys.add("riskLevel");
        r.put("bugType", ChartUtil.column(this.reportMapper.blineTypeTask(taskid), false, false, BUG_TYPE_COLOS, "漏洞数", 700, 300));
        chartKeys.add("bugType");
        r.put("bugTop10", this.reportMapper.blineBugGroup(taskid));
        List<Map<String, Object>> deviceRisk = new ArrayList<>();
        for (Map<String, Object> dev2 : this.reportMapper.blineDevBugGroup(taskid)) {
            Map<String, Object> map = new HashMap<>();
            map.put("text", ObjectUtil.getString(dev2.get("ip"), ""));
            map.put("name", ObjectUtil.getString(dev2.get("name"), ""));
            map.put("value", Integer.valueOf(ObjectUtil.getInt(dev2.get("total"), 0)));
            deviceRisk.add(map);
        }
        Collections.sort(deviceRisk, new Comparator<Map<String, Object>>() { // from class: com.datacloudsec.scan.service.impl.ReportService.1
            @Override // java.util.Comparator
            public int compare(Map<String, Object> a, Map<String, Object> b) {
                return ObjectUtil.getInt(b.get("value"), 0) - ObjectUtil.getInt(a.get("value"), 0);
            }
        });
        if (deviceRisk.size() > 10) {
            deviceRisk.subList(10, deviceRisk.size()).clear();
        }
        r.put("devTop10", deviceRisk);
        r.put("devBugs", this.reportMapper.blineDevBugGroup(taskid));
        return r;
    }

    public Map<String, Object> getPwdReportSummary(Integer taskid, String chktype, Integer flag) throws Exception {
        String chktype2 = (String) REPORT_CHK.get("summary");
        Object chktypeList = Arrays.asList(chktype2.split(","));
        Map<String, Object> r = new HashMap<>();
        Task t = this.taskBaseMapper.getTaskById(taskid);
        if (t == null) {
            throw new UEException("任务不存在！");
        }
        r.put("chktype", chktypeList);
        List<Map<String, Object>> devices = this.taskBaseMapper.getTaskDevByTid(taskid);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("failDev", this.taskBaseMapper.getFailDevByTid(t.getId()));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        Map<String, String> ipUrl = new HashMap<>();
        float score = 0.0f;
        for (Map<String, Object> dev : devices) {
            String ip = ObjectUtil.getString(dev.get("ip"), "");
            if (flag.intValue() == 0) {
                ipUrl.put(ip, "/report/show.html?id=" + dev.get("id") + "&taskType=3");
            } else {
                ipUrl.put(ip, String.valueOf(ip.replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "")) + "/" + ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "") + ".html");
            }
            score += ObjectUtil.getFloat(this.reportMapper.pwdScore(ObjectUtil.getInt(dev.get("id"))).get("score"), 0.0f);
        }
        r.put("ipUrl", ipUrl);
        r.put("score", Float.valueOf(CollectionUtils.isNotEmpty(devices) ? score / devices.size() : 0.0f));
        r.put("summarize", summarize);
        r.put("pwdTypeRisk", ChartUtil.pie(EntryResult.parseEntry(this.reportMapper.pwdTypeTask(taskid), "text", "value"), (Map) null, 400, 400));
        chartKeys.add("pwdTypeRisk");
        String pwdGroupName = "";
        int pwdCount = 0;
        List<String> protocol = new ArrayList<>();
        if (StringUtils.isNotBlank(t.getConfContent())) {
            Map<String, Object> conf = (Map) JsonUtil.MAPPER.readValue(t.getConfContent(), Map.class);
            Map<String, Object> pwdGroupDic = this.pwddicMapper.getPwdGroupById(ObjectUtil.getInt(conf.get("pwdGroupId")));
            if (pwdGroupDic != null && pwdGroupDic.size() > 0) {
                pwdGroupName = ObjectUtil.getString(pwdGroupDic.get("name"), "");
            }
            Map<String, Object> pwdDic = this.pwddicMapper.getTemplateById(ObjectUtil.getInt(conf.get("passwords")));
            String path = ObjectUtil.getString(pwdDic.get("path"), "");
            if (StringUtils.isNotBlank(path)) {
                List<String> pwdList = FileUtils.readLines(new File(Constant.PWDDIC_DIC, path), "UTF-8");
                pwdCount = pwdList.size();
            } else {
                pwdCount = ObjectUtil.getString(pwdDic.get("content"), "").split("\n").length;
            }
            for (Map.Entry<String, Object> e : conf.entrySet()) {
                if (e.getKey().contains("protocol_")) {
                    protocol.add(ObjectUtil.getString(e.getValue(), ""));
                }
            }
        }
        List<Map<String, Object>> devBugs = this.reportMapper.pwdDevCountTask(taskid);
        for (Map<String, Object> map : devBugs) {
            map.put("pwdGroupName", pwdGroupName);
            map.put("protocol", StringUtils.join(protocol, ","));
            if (pwdCount > 0) {
                map.put("pwdCount", Integer.valueOf(pwdCount));
                map.put("probability", new DecimalFormat("0.00%").format(ObjectUtil.getInt(map.get("total")).intValue() / pwdCount));
            }
        }
        r.put("devManGroup", EntryResult.parseEntryListMap(devBugs, "val2"));
        return r;
    }

    public Map<String, Object> getHorseReportSummary(Integer taskid, String chktype, Integer flag) throws Exception {
        String chktype2 = (String) REPORT_CHK.get("summary");
        Object chktypeList = Arrays.asList(chktype2.split(","));
        Map<String, Object> r = new HashMap<>();
        Task t = this.taskBaseMapper.getTaskById(taskid);
        if (t == null) {
            throw new UEException("任务不存在！");
        }
        r.put("chktype", chktypeList);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        r.put("score", this.reportMapper.horseScore(taskid));
        r.put("summarize", summarize);
        List<Map<String, Object>> devices = this.taskBaseMapper.getTaskDevByTid(taskid);
        Map<String, String> ipUrl = new HashMap<>();
        for (Map<String, Object> dev : devices) {
            String ip = ObjectUtil.getString(dev.get("ip"), "");
            if (flag.intValue() == 0) {
                ipUrl.put(ip, "/report/show.html?id=" + dev.get("id") + "&taskType=5");
            } else {
                ipUrl.put(ip, String.valueOf(ip.replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "")) + "/" + ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "") + ".html");
            }
        }
        r.put("ipUrl", ipUrl);
        Map<String, Object> level = new HashMap<>();
        Iterator it = this.reportMapper.horseDevGroup(taskid).iterator();
        while (it.hasNext()) {
            String riskLevel = deviceRiskLevel(Integer.valueOf(ObjectUtil.getInt(((Map) it.next()).get("score"), 0)));
            level.put(new StringBuilder().append(DEVICE_RISK_LEVEL.get(riskLevel)).toString(), Integer.valueOf(ObjectUtil.getInt(level.get(DEVICE_RISK_LEVEL.get(riskLevel)), 0) + 1));
        }
        r.put("hostRisk", ChartUtil.pie(level, DEVICE_COLORS, 400, 400));
        chartKeys.add("hostRisk");
        List<Map<String, Object>> horseType = this.reportMapper.horseType(taskid);
        r.put("bugRisk", ChartUtil.pie(EntryResult.parseEntry(horseType, "text", "value"), (Map) null, 400, 400));
        chartKeys.add("bugRisk");
        r.put("bugRiskXml", horseType);
        r.put("devTop10", this.reportMapper.horseDevGroup(taskid));
        return r;
    }

    public Map<String, Object> getMaliReportSummary(Integer taskid, String chktype, Integer flag) throws Exception {
        String chktype2 = (String) REPORT_CHK.get("summary");
        Object chktypeList = Arrays.asList(chktype2.split(","));
        Map<String, Object> r = new HashMap<>();
        Task t = this.taskBaseMapper.getTaskById(taskid);
        if (t == null) {
            throw new UEException("任务不存在！");
        }
        r.put("chktype", chktypeList);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        r.put("score", this.reportMapper.maliScore(taskid));
        r.put("summarize", summarize);
        List<Map<String, Object>> devices = this.taskBaseMapper.getTaskDevByTid(taskid);
        Map<String, String> ipUrl = new HashMap<>();
        for (Map<String, Object> dev : devices) {
            String ip = ObjectUtil.getString(dev.get("ip"), "");
            if (flag.intValue() == 0) {
                ipUrl.put(ip, "/report/show.html?id=" + dev.get("id") + "&taskType=7");
            } else {
                ipUrl.put(ip, String.valueOf(ip.replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "")) + "/" + ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "") + ".html");
            }
        }
        r.put("ipUrl", ipUrl);
        Map<String, Object> level = new HashMap<>();
        Iterator it = this.reportMapper.maliDevGroup(taskid).iterator();
        while (it.hasNext()) {
            String riskLevel = deviceRiskLevel(Integer.valueOf(ObjectUtil.getInt(((Map) it.next()).get("score"), 0)));
            level.put(new StringBuilder().append(DEVICE_RISK_LEVEL.get(riskLevel)).toString(), Integer.valueOf(ObjectUtil.getInt(level.get(DEVICE_RISK_LEVEL.get(riskLevel)), 0) + 1));
        }
        r.put("hostRisk", ChartUtil.pie(level, DEVICE_COLORS, 400, 400));
        chartKeys.add("hostRisk");
        r.put("bugRisk", ChartUtil.pie(EntryResult.parseEntry(this.reportMapper.maliType(taskid), "text", "value"), (Map) null, 400, 400));
        chartKeys.add("bugRisk");
        r.put("devTop10", this.reportMapper.maliDevGroup(taskid));
        return r;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public Map<String, Object> getDbReportSummary(Integer taskid, String chktype, Integer flag) throws Exception {
        String chktype2 = (String) REPORT_CHK.get("summary");
        Object chktypeList = Arrays.asList(chktype2.split(","));
        Map<String, Object> r = new HashMap<>();
        Task t = this.taskBaseMapper.getTaskById(taskid);
        if (t == null) {
            throw new UEException("任务不存在！");
        }
        r.put("chktype", chktypeList);
        List<Map<String, Object>> devices = this.taskBaseMapper.getTaskDevByTid(taskid);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        Map<String, Object> bug = null;
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("failDev", this.taskBaseMapper.getFailDevByTid(t.getId()));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        Map<String, String> ipUrl = new HashMap<>();
        float score = 0.0f;
        for (Map<String, Object> dev : devices) {
            String name = ObjectUtil.getString(dev.get("name"), "");
            if (flag.intValue() == 0) {
                ipUrl.put(name, "/report/show.html?id=" + dev.get("id") + "&taskType=4");
            } else {
                ipUrl.put(name, String.valueOf(ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "")) + "/" + ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "") + ".html");
            }
            score += ObjectUtil.getFloat(this.reportMapper.dbScore(ObjectUtil.getInt(dev.get("id"))).get("score"), 0.0f);
        }
        r.put("ipUrl", ipUrl);
        r.put("score", Float.valueOf(CollectionUtils.isNotEmpty(devices) ? score / devices.size() : 10.0f));
        r.put("summarize", summarize);
        Map<String, Object> level = new HashMap<>();
        Iterator<Map<String, Object>> it = devices.iterator();
        while (it.hasNext()) {
            String riskLevel = deviceRiskLevel(Integer.valueOf(ObjectUtil.getInt(this.reportMapper.dbScore(ObjectUtil.getInt(it.next().get("id"))).get("score"), 0)));
            level.put(new StringBuilder().append(DEVICE_RISK_LEVEL.get(riskLevel)).toString(), Integer.valueOf(ObjectUtil.getInt(level.get(DEVICE_RISK_LEVEL.get(riskLevel)), 0) + 1));
        }
        r.put("hostRisk", ChartUtil.pie(level, DEVICE_COLORS, 400, 400));
        chartKeys.add("hostRisk");
        if (0 == 0) {
            bug = this.reportMapper.dbBugLevelTask(taskid);
        }
        List<Map<String, Object>> list = new ArrayList<>();
        for (Object[] objArr : new String[]{new String[]{"critical", "紧急"}, new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}) {
            HashMap hashMap = new HashMap();
            hashMap.put("value", Integer.valueOf(ObjectUtil.getInt(bug.get(objArr[0]), 0)));
            hashMap.put("text", objArr[1]);
            list.add(hashMap);
        }
        Color[] BUG_COLORS2 = {Color.decode("#FF0000"), Color.decode("#C33430"), Color.decode("#E36C0A"), Color.decode("#00B0F0"), Color.decode("#00B050")};
        r.put("riskLevel", ChartUtil.column(list, false, false, BUG_COLORS2, "漏洞数", 700, 300));
        chartKeys.add("riskLevel");
        r.put("bugType", ChartUtil.column(this.reportMapper.dbTypeTask(taskid), false, false, BUG_TYPE_COLOS, "漏洞数", 700, 300));
        chartKeys.add("bugType");
        r.put("bugTop10", this.reportMapper.dbBugGroup(taskid));
        List<Map<String, Object>> deviceRisk = new ArrayList<>();
        for (Map<String, Object> dev2 : this.reportMapper.dbDevBugGroup(taskid)) {
            Map<String, Object> map = new HashMap<>();
            map.put("text", ObjectUtil.getString(dev2.get("ip"), ""));
            map.put("name", ObjectUtil.getString(dev2.get("name"), ""));
            map.put("value", Integer.valueOf(ObjectUtil.getInt(dev2.get("total"), 0)));
            deviceRisk.add(map);
        }
        Collections.sort(deviceRisk, new Comparator<Map<String, Object>>() { // from class: com.datacloudsec.scan.service.impl.ReportService.2
            @Override // java.util.Comparator
            public int compare(Map<String, Object> a, Map<String, Object> b) {
                return ObjectUtil.getInt(b.get("value"), 0) - ObjectUtil.getInt(a.get("value"), 0);
            }
        });
        if (deviceRisk.size() > 10) {
            deviceRisk.subList(10, deviceRisk.size()).clear();
        }
        r.put("devTop10", deviceRisk);
        r.put("devBugs", this.reportMapper.dbDevBugGroup(taskid));
        return r;
    }

    public Map<String, Object> getDlpscanReportSummary(Integer taskid, String chktype, Integer flag) throws Exception {
        String chktype2 = (String) REPORT_CHK.get("summary");
        Object chktypeList = Arrays.asList(chktype2.split(","));
        Map<String, Object> r = new HashMap<>();
        Task t = this.taskBaseMapper.getTaskById(taskid);
        if (t == null) {
            throw new UEException("任务不存在！");
        }
        r.put("chktype", chktypeList);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        List<Map<String, Object>> devices = this.taskBaseMapper.getTaskDevByTid(taskid);
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        float score = 0.0f;
        for (Map<String, Object> dev : devices) {
            score += ObjectUtil.getFloat(this.reportMapper.dlpscanScore(ObjectUtil.getInt(dev.get("id"))).get("score"), 0.0f);
        }
        r.put("score", Float.valueOf(CollectionUtils.isNotEmpty(devices) ? score / devices.size() : 10.0f));
        r.put("summarize", summarize);
        Map<String, Object> level = new HashMap<>();
        for (Map<String, Object> dev2 : this.reportMapper.dlpscanDevGroup(taskid)) {
            String riskLevel = deviceRiskLevel(Integer.valueOf(ObjectUtil.getInt(dev2.get("score"), 0)));
            level.put(new StringBuilder().append(DEVICE_RISK_LEVEL.get(riskLevel)).toString(), Integer.valueOf(ObjectUtil.getInt(level.get(DEVICE_RISK_LEVEL.get(riskLevel)), 0) + 1));
        }
        r.put("hostRisk", ChartUtil.pie(level, DEVICE_COLORS, 400, 400));
        chartKeys.add("hostRisk");
        r.put("bugRisk", ChartUtil.pie(EntryResult.parseEntry(this.reportMapper.dlpscanType(taskid), "text", "value"), (Map) null, 400, 400));
        chartKeys.add("bugRisk");
        r.put("devTop10", this.reportMapper.dlpscanDevGroup(taskid));
        return r;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public Map<String, Object> getSysReportSummary(Integer taskid, String chktype, Integer flag) throws Exception {
        String chktype2 = (String) REPORT_CHK.get("summary");
        Object chktypeList = Arrays.asList(chktype2.split(","));
        Map<String, Object> r = new HashMap<>();
        Task t = this.taskBaseMapper.getTaskById(taskid);
        if (t == null) {
            throw new UEException("任务不存在！");
        }
        r.put("chktype", chktypeList);
        List<Map<String, Object>> devices = this.taskBaseMapper.getNotDeadDevByTid(taskid);
        r.put("devCounts", Integer.valueOf(devices.size()));
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        Map<String, Object> bug = null;
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("deadIps", this.taskBaseMapper.getDeadDevByTid(taskid));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        Map<String, String> ipUrl = new HashMap<>();
        float score = 0.0f;
        for (Map<String, Object> dev : devices) {
            String ip = ObjectUtil.getString(dev.get("ip"), "");
            if (flag.intValue() == 0) {
                ipUrl.put(ip, "/report/show.html?id=" + dev.get("id") + "&taskType=1");
            } else {
                ipUrl.put(ip, String.valueOf(ip.replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "")) + "/" + ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "") + ".html");
            }
            score += ObjectUtil.getFloat(this.reportMapper.summarize(ObjectUtil.getInt(dev.get("id"))).get("score"), 0.0f);
        }
        r.put("ipUrl", ipUrl);
        r.put("score", Float.valueOf(CollectionUtils.isNotEmpty(devices) ? score / devices.size() : 10.0f));
        r.put("summarize", summarize);
        Map<String, Object> level = new HashMap<>();
        Iterator<Map<String, Object>> it = devices.iterator();
        while (it.hasNext()) {
            String riskLevel = deviceRiskLevel(Integer.valueOf(ObjectUtil.getInt(this.reportMapper.summarize(ObjectUtil.getInt(it.next().get("id"))).get("score"), 0)));
            level.put(new StringBuilder().append(DEVICE_RISK_LEVEL.get(riskLevel)).toString(), Integer.valueOf(ObjectUtil.getInt(level.get(DEVICE_RISK_LEVEL.get(riskLevel)), 0) + 1));
        }
        r.put("hostRisk", ChartUtil.pie(level, DEVICE_COLORS, 400, 400));
        chartKeys.add("hostRisk");
        if (0 == 0) {
            bug = this.reportMapper.sysBugCountByTask(taskid);
        }
        List<Map<String, Object>> list = new ArrayList<>();
        for (Object[] objArr : new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}) {
            HashMap hashMap = new HashMap();
            hashMap.put("value", Integer.valueOf(ObjectUtil.getInt(bug.get(objArr[0]), 0)));
            hashMap.put("text", objArr[1]);
            list.add(hashMap);
        }
        r.put("riskLevel", ChartUtil.column(list, false, false, BUG_COLORS, "漏洞数", 650, 300));
        chartKeys.add("riskLevel");
        r.put("bugType", ChartUtil.column(this.reportMapper.bugTypeTask(taskid), false, false, BUG_TYPE_COLOS, "漏洞数", 650, 300));
        chartKeys.add("bugType");
        r.put("bugTop10", this.reportMapper.sysBugGroup(taskid));
        List<Map<String, Object>> deviceRisk = new ArrayList<>();
        for (Map<String, Object> dev2 : this.reportMapper.sysDevBugGroup(taskid)) {
            Map<String, Object> map = new HashMap<>();
            map.put("text", ObjectUtil.getString(dev2.get("ip"), ""));
            map.put("value", Integer.valueOf(ObjectUtil.getInt(dev2.get("total"), 0)));
            deviceRisk.add(map);
        }
        Collections.sort(deviceRisk, new Comparator<Map<String, Object>>() { // from class: com.datacloudsec.scan.service.impl.ReportService.3
            @Override // java.util.Comparator
            public int compare(Map<String, Object> a, Map<String, Object> b) {
                return ObjectUtil.getInt(b.get("value"), 0) - ObjectUtil.getInt(a.get("value"), 0);
            }
        });
        if (deviceRisk.size() > 10) {
            deviceRisk.subList(10, deviceRisk.size()).clear();
        }
        r.put("devTop10", deviceRisk);
        r.put("devBugs", this.reportMapper.sysDevBugGroup(taskid));
        r.put("bugFenBu", this.reportMapper.getBugFenBu(taskid));
        r.put("bugTypes", this.reportMapper.getSysBugTypes(taskid));
        Map<String, Object> sysconfig = this.sysconfigMapper.getTemplateById(t.getSysconfigId());
        if (MapUtils.isNotEmpty(sysconfig)) {
            try {
                List<Map<String, Object>> configList = (List) com.datacloudsec.scan.cache.Task.getInstance().getConfig().get("系统");
                Map<String, Map<String, Object>> titles = new HashMap<>();
                for (Map<String, Object> map2 : configList) {
                    if (map2.containsKey("childs")) {
                        for (Map<String, Object> child : (List) map2.get("childs")) {
                            titles.put(ObjectUtil.getString(child.get("name"), ""), child);
                        }
                    } else {
                        titles.put(ObjectUtil.getString(map2.get("name"), ""), map2);
                    }
                }
                r.put("titles", titles);
                Map<String, Object> configDetail = (Map) JsonUtil.MAPPER.readValue(ObjectUtil.getString(sysconfig.get("config"), ""), Map.class);
                Map<String, Object> sysPoliciy = this.systemTempMapper.getTemplateById(t.getSysId());
                if (MapUtils.isEmpty(sysPoliciy)) {
                    configDetail.put("plugin_set", "全部");
                } else {
                    configDetail.put("plugin_set", sysPoliciy.get("name"));
                }
                r.put("configDetail", configDetail);
                r.put("sysconfig", sysconfig);
            } catch (Exception e) {
                this.LOG.error("", e);
            }
        }
        return r;
    }

    public Map<String, Object> getWebkeyReport(Integer taskid, String chktype, int keyHandler) throws Exception {
        File f;
        Map<String, Object> r = new HashMap<>();
        Task t = this.taskBaseMapper.getTaskById(taskid);
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        r.put("summarize", summarize);
        List<Map<String, Object>> urls = this.reportMapper.getWebkeyCount(taskid);
        r.put("urls", urls);
        int total = 0;
        Iterator<Map<String, Object>> it = urls.iterator();
        while (it.hasNext()) {
            total += ObjectUtil.getInt(it.next().get("num"), 0);
        }
        r.put("total", Integer.valueOf(total));
        List<Map<String, Object>> list = this.reportMapper.getWebkeyData(taskid);
        for (Map<String, Object> row : list) {
            String rawDataPath = ObjectUtil.getString(row.remove("rawDataPath"), "");
            String testDataPath = ObjectUtil.getString(row.remove("testDataPath"), "");
            if (StringUtils.isNotBlank(testDataPath) && (f = new File(Constant.WEB_SCAN_BUG, testDataPath)) != null && f.exists()) {
                String testData = FileUtils.readFileToString(f, "UTF-8");
                if (StringUtils.isBlank(testData) && StringUtils.isNotBlank(rawDataPath)) {
                    testData = FileUtils.readFileToString(new File(Constant.WEB_SCAN_BUG, rawDataPath), "UTF-8");
                }
                if (StringUtils.isNotBlank(testData)) {
                    byte[] testbyte = SecretUtil.base64Decoder(testData);
                    byte[] testreqhead = readD(testbyte, 0);
                    int testoffset = 0 + testreqhead.length + 4;
                    byte[] testreqbody = readD(testbyte, testoffset);
                    int testoffset2 = testoffset + testreqbody.length + 4;
                    byte[] testreshead = readD(testbyte, testoffset2);
                    int testoffset3 = testoffset2 + testreshead.length + 4;
                    byte[] testresbody = new byte[testbyte.length - testoffset3];
                    System.arraycopy(testbyte, testoffset3, testresbody, 0, testbyte.length - testoffset3);
                    String html = new String(testresbody, "UTF8");
                    String content = ObjectUtil.delHtmlTags(html);
                    String value = ObjectUtil.getString(row.get("value"), (String) null);
                    if (value != null && value.startsWith("敏感关键字:")) {
                        String keyword = value.substring(value.indexOf(":") + 1);
                        for (String key : keyword.split("\n")) {
                            if (keyHandler == 1) {
                                content = content.replace(key, "<span class=\"keywd\">" + key + "</span>");
                            } else if (keyHandler == 2) {
                                content = content.replace("&", "&amp;").replace("\n", "<w:br/>").replace(key, "</w:t></w:r><w:r wsp:rsidRPr=\"007E68A6\"><w:rPr><w:rFonts w:hint=\"fareast\"/><w:color w:val=\"F8F8F8\"/><w:highlight w:val=\"red\"/></w:rPr><w:t>" + key + "</w:t></w:r><w:r><w:rPr><w:rStyle w:val=\"error\"/><w:rFonts w:hint=\"fareast\"/></w:rPr><w:t>");
                            }
                        }
                    }
                    row.put("testDataPath", ObjectUtil.stripNonCharCodepoints(content));
                }
            }
        }
        Map<String, List<Map<String, Object>>> detail = EntryResult.parseEntryListMap(list, "name");
        r.put("detail", detail);
        return r;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public Map<String, Object> getWebReportSummary(Integer taskid, String chktype, Integer flag) throws Exception {
        String url;
        String chktype2 = (String) REPORT_CHK.get("summary");
        Object chktypeList = Arrays.asList(chktype2.split(","));
        Map<String, Object> r = new HashMap<>();
        r.put("chktype", chktypeList);
        Task t = this.taskBaseMapper.getTaskById(taskid);
        r.put("webTitle", IWeb.WEB_TYPE.get(t.getType()));
        List<Map<String, Object>> devices = this.taskBaseMapper.getTaskDevByTid(taskid);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("failDev", this.taskBaseMapper.getFailUrlByTid(t.getId()));
        Map<String, Object> summarize = this.reportMapper.getTaskById(taskid);
        summarize.put("type", t.getType());
        r.put("summarize", summarize);
        Map<String, String> ipUrl = new HashMap<>();
        int score = 0;
        for (Map<String, Object> dev : devices) {
            String confStr = ObjectUtil.getString(dev.get("confContent"), "");
            if (StringUtils.isNotBlank(confStr)) {
                Map<String, Object> confMap = (Map) JsonUtil.MAPPER.readValue(confStr, Map.class);
                url = ObjectUtil.getString(confMap.get("url"), "");
            } else {
                url = ObjectUtil.getString(dev.get("ip"), "");
            }
            if (flag.intValue() == 0) {
                ipUrl.put(url, "/report/show.html?id=" + dev.get("id") + "&taskType=0");
            } else {
                ipUrl.put(url, String.valueOf(url.replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?)", "").replace(":", "-")) + "/" + ObjectUtil.getString(dev.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?)", "").replace(":", "-") + ".html");
            }
            Integer webScore = this.reportMapper.webScoreById(ObjectUtil.getInt(dev.get("id")));
            score += webScore == null ? 0 : webScore.intValue();
        }
        r.put("ipUrl", ipUrl);
        r.put("score", Integer.valueOf(CollectionUtils.isNotEmpty(devices) ? score / devices.size() : 10));
        Map<String, Object> level = new HashMap<>();
        Iterator<Map<String, Object>> it = devices.iterator();
        while (it.hasNext()) {
            String riskLevel = deviceRiskLevel(this.reportMapper.webScoreById(ObjectUtil.getInt(it.next().get("id"))));
            level.put(new StringBuilder().append(DEVICE_RISK_LEVEL.get(riskLevel)).toString(), Integer.valueOf(ObjectUtil.getInt(level.get(DEVICE_RISK_LEVEL.get(riskLevel)), 0) + 1));
        }
        r.put("hostRisk", ChartUtil.pie(level, DEVICE_COLORS, 400, 400));
        chartKeys.add("hostRisk");
        Map<String, Object> bug = this.reportMapper.webBugCountByTask(taskid);
        List<Map<String, Object>> list = new ArrayList<>();
        Map<String, Object> m1 = new HashMap<>();
        m1.put("value", Integer.valueOf(ObjectUtil.getInt(bug.get("total"), 0)));
        m1.put("text", "安全漏洞");
        list.add(m1);
        Map<String, Object> m2 = new HashMap<>();
        m2.put("value", Integer.valueOf(ObjectUtil.getInt(bug.get("horse"), 0)));
        m2.put("text", "网马和暗链");
        list.add(m2);
        Map<String, Object> m3 = new HashMap<>();
        m3.put("value", Integer.valueOf(ObjectUtil.getInt(bug.get("fish"), 0)));
        m3.put("text", "钓鱼检测");
        list.add(m3);
        Map<String, Object> m4 = new HashMap<>();
        m4.put("value", Integer.valueOf(ObjectUtil.getInt(bug.get("keyword"), 0)));
        m4.put("text", "敏感关键字");
        list.add(m4);
        Map<String, Object> m5 = new HashMap<>();
        m5.put("value", this.reportMapper.tamperCountByTask(taskid));
        m5.put("text", "篡改");
        list.add(m5);
        Map<String, Object> m6 = new HashMap<>();
        m6.put("value", this.reportMapper.notAvail(taskid));
        m6.put("text", "不可访问");
        list.add(m6);
        r.put("bugRisk", ChartUtil.column(list, false, false, BUG_TYPE_COLOS, "漏洞数", 700, 300));
        chartKeys.add("bugRisk");
        List<Map<String, Object>> riskList = new ArrayList<>();
        for (Object[] objArr : new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}) {
            HashMap hashMap = new HashMap();
            hashMap.put("value", Integer.valueOf(ObjectUtil.getInt(bug.get(objArr[0]), 0)));
            hashMap.put("text", objArr[1]);
            riskList.add(hashMap);
        }
        r.put("riskLevel", ChartUtil.column(riskList, false, false, BUG_COLORS, "漏洞数", 650, 300));
        chartKeys.add("riskLevel");
        List<Map<String, Object>> owaspList = this.reportMapper.webBugTypeCountTask(taskid);
        for (Map<String, Object> owasp : owaspList) {
            owasp.put("text", ObjectUtil.getString(owasp.get("text"), "").split("\\[")[0]);
        }
        r.put("owaspRisk", ChartUtil.column(owaspList, false, false, BUG_TYPE_COLOS, "漏洞数", 650, 300));
        chartKeys.add("owaspRisk");
        r.put("owaspRiskList", this.reportMapper.webBugTypeCountTask(taskid));
        r.put("bugTop10", this.reportMapper.bugGroupCount(taskid));
        List<Map<String, Object>> deviceRisk = new ArrayList<>();
        for (Map<String, Object> dev2 : this.reportMapper.webBugCountGroup(taskid)) {
            Map<String, Object> map = new HashMap<>();
            map.put("text", ObjectUtil.getString(dev2.get("url"), ""));
            map.put("value", Integer.valueOf(ObjectUtil.getInt(dev2.get("total"), 0) + ObjectUtil.getInt(dev2.get("horse"), 0) + ObjectUtil.getInt(dev2.get("keyword"), 0) + ObjectUtil.getInt(dev2.get("tamper"), 0) + ObjectUtil.getInt(dev2.get("fish"), 0)));
            deviceRisk.add(map);
        }
        Collections.sort(deviceRisk, new Comparator<Map<String, Object>>() { // from class: com.datacloudsec.scan.service.impl.ReportService.4
            @Override // java.util.Comparator
            public int compare(Map<String, Object> a, Map<String, Object> b) {
                return ObjectUtil.getInt(b.get("value"), 0) - ObjectUtil.getInt(a.get("value"), 0);
            }
        });
        if (deviceRisk.size() > 10) {
            deviceRisk.subList(10, deviceRisk.size()).clear();
        }
        r.put("devTop10", deviceRisk);
        r.put("devBugs", this.reportMapper.webBugCountGroup(taskid));
        if (StringUtils.isNotBlank(t.getConfContent())) {
            try {
                List<Map<String, Object>> configList = (List) com.datacloudsec.scan.cache.Task.getInstance().getConfig().get("网站");
                Map<String, Map<String, Object>> titles = new HashMap<>();
                for (Map<String, Object> map2 : configList) {
                    if (map2.containsKey("childs")) {
                        for (Map<String, Object> child : (List) map2.get("childs")) {
                            titles.put(ObjectUtil.getString(child.get("name"), ""), child);
                        }
                    } else {
                        titles.put(ObjectUtil.getString(map2.get("name"), ""), map2);
                    }
                }
                r.put("titles", titles);
                Map<String, Object> configDetail = (Map) JsonUtil.MAPPER.readValue(t.getConfContent(), Map.class);
                Map<String, Object> webpwds = this.pwddicMapper.getTemplateById(ObjectUtil.getInt(configDetail.get("webpwds")));
                if (MapUtils.isNotEmpty(webpwds)) {
                    configDetail.put("webpwds", ObjectUtil.getString(webpwds.get("content"), ""));
                }
                Integer poliid = ObjectUtil.getInt(configDetail.get("policies"));
                if (poliid == null) {
                    configDetail.put("policies", "默认模板");
                } else {
                    Map<String, Object> webtemp = this.webTempMapper.getWebTempById(poliid);
                    if (MapUtils.isNotEmpty(webtemp)) {
                        configDetail.put("policies", webtemp.get("name"));
                    } else {
                        configDetail.put("policies", "默认模板");
                    }
                }
                r.put("configDetail", configDetail);
            } catch (Exception e) {
                this.LOG.error("", e);
            }
        }
        return r;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public Map<String, Object> getSysReport(Integer id, String chktype) throws Exception {
        Map<String, Object> r = new HashMap<>();
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        r.put("currdate", sdf.format(new Date()));
        r.put("chktype", chktypeList);
        Map<String, Object> device = this.reportMapper.getDevById(id);
        Task task = this.taskBaseMapper.getTaskBydevId(id);
        if (task == null) {
            throw new UEException("任务不存在！");
        }
        device.put("startTime", task.getStartTime() == null ? null : sdf.format(sdf.parse(task.getStartTime())));
        device.put("endTime", task.getEndTime() == null ? null : sdf.format(sdf.parse(task.getEndTime())));
        device.put("bugTimeinter", DateUtil.getIntervalTime((String) null, task.getStartTime(), task.getEndTime()));
        r.put("device", device);
        Map<String, Object> docColor = new HashMap<>();
        docColor.put("high", "FF0000");
        docColor.put("medium", "E36C0A");
        docColor.put("low", "00B0F0");
        docColor.put("info", "00B050");
        r.put("docColor", docColor);
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            Map<String, Object> summarize = this.reportMapper.summarize(id);
            if ("目标主机不可达".equals(ObjectUtil.getString(device.get("eroor"), ""))) {
                summarize.put("score", 0);
            }
            r.put("summarize", summarize);
            r.put("sysNewBug", this.reportMapper.sysNewBug(id));
            r.put("sysRecovered", this.reportMapper.sysRecovered(id));
            String riskLevel = deviceRiskLevel(Integer.valueOf(ObjectUtil.getInt(summarize.get("score"), 0)));
            r.put("risk_lv_cls", riskLevel);
            r.put("riskLevel", DEVICE_RISK_LEVEL.get(riskLevel));
        }
        if (chktypeList.contains(REPORT_STATE_FAILED)) {
            r.put("host", this.reportMapper.getHostByDevId(id));
        }
        if (chktypeList.contains("3")) {
            List<String> chartKeys = new ArrayList<>();
            r.put("chartKeys", chartKeys);
            if (chktypeList.contains("3.1")) {
                r.put("securityTrends", ChartUtil.line(this.reportMapper.securityTrends(id), BUG_COLORS, "漏洞数", 650, 300));
                chartKeys.add("securityTrends");
            }
            if (chktypeList.contains("3.2")) {
                Map<String, Object> data = this.reportMapper.bugLevel(id);
                List<Map<String, Object>> list = new ArrayList<>();
                for (Object[] objArr : new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("value", Integer.valueOf(ObjectUtil.getInt(data.get(objArr[0]), 0)));
                    hashMap.put("text", objArr[1]);
                    list.add(hashMap);
                }
                r.put("bugLevel", ChartUtil.column(list, false, false, BUG_COLORS, "漏洞数", 650, 300));
                chartKeys.add("bugLevel");
            }
            if (chktypeList.contains("3.3")) {
                r.put("bugType", ChartUtil.column(this.reportMapper.bugType(id), false, false, BUG_TYPE_COLOS, "漏洞数", 650, 300));
                chartKeys.add("bugType");
            }
        }
        if (chktypeList.contains("5")) {
            r.put("bugDevIds", this.reportMapper.getDevById(id));
            List<Map<String, Object>> bugDetails = this.reportMapper.bugDetail(id);
            List<Map<String, Object>> result = new ArrayList<>();
            for (Map<String, Object> bug : bugDetails) {
                bug.put("detail", ObjectUtil.stripNonCharCodepoints(ObjectUtil.getString(bug.get("detail"), "")));
                if (chktypeList.contains("5.1") && "high".equals(ObjectUtil.getString(bug.get("lv"), ""))) {
                    result.add(bug);
                }
                if (chktypeList.contains("5.2") && "medium".equals(ObjectUtil.getString(bug.get("lv"), ""))) {
                    result.add(bug);
                }
                if (chktypeList.contains("5.3") && "low".equals(ObjectUtil.getString(bug.get("lv"), ""))) {
                    result.add(bug);
                }
                if (chktypeList.contains("5.4") && "info".equals(ObjectUtil.getString(bug.get("lv"), ""))) {
                    result.add(bug);
                }
            }
            r.put("bugDetail", result);
            Properties oem = (Properties) InitSystemTask.servletContext.getAttribute("oem");
            String sysname = oem.getProperty("sysname", "");
            if (!"漏洞扫描工具".equals(sysname)) {
                r.put("sysNewBugMap", EntryResult.parseEntry(setSysDatagram(this.reportMapper.sysNewBugList(id)), "id", "name"));
            }
        }
        if (chktypeList.contains("5")) {
            r.put("bugDevIds", this.reportMapper.getDevById(id));
            r.put("sysRecoveredList", setSysDatagram(this.reportMapper.sysRecoveredList(id)));
        }
        if (chktypeList.contains("6")) {
            r.put("bugTypesDetail", this.reportMapper.getBugTypesByDevid(id));
        }
        return r;
    }

    private List<Map<String, Object>> setSysDatagram(List<Map<String, Object>> list) throws Exception {
        for (Map<String, Object> map : list) {
            map.put("detail", ObjectUtil.stripNonCharCodepoints(ObjectUtil.getString(map.get("detail"), "")));
        }
        return list;
    }

    private Map<String, Object> getBlineReportXls(Integer id, String chktype) throws Exception {
        Map<String, Object> r = new HashMap<>();
        if (chktype.contains("3")) {
            List<Map<String, Object>> accrods = this.reportMapper.blineAccord(id);
            r.put("accrods", accrods);
            r.put("acount", Integer.valueOf(accrods.size() + 1));
            List<Map<String, Object>> informitys = this.reportMapper.blineInconformity(id);
            r.put("informitys", informitys);
            r.put("icount", Integer.valueOf(informitys.size() + 1));
            r.put("summarize", this.reportMapper.blineScore(id));
        }
        return r;
    }

    public Map<String, Object> getBlineReport(Integer id, String chktype) throws Exception {
        Map<String, Object> r = new HashMap<>();
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("chktype", chktypeList);
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            r.put("summarize", this.reportMapper.blineScore(id));
        }
        if (chktypeList.contains(REPORT_STATE_FAILED)) {
            Map<String, Object> device = this.reportMapper.blineDev(id);
            device.put("bugTimeinter", DateUtil.getIntervalTime((String) null, ObjectUtil.getString(device.get("startTime"), ""), ObjectUtil.getString(device.get("lastTime"), "")));
            r.put("device", device);
        }
        r.put("devMap", IDevice.TASK_DEVICE_TYPE);
        if (chktypeList.contains("3")) {
            if (chktypeList.contains("3.1")) {
                r.put("securityTrends", ChartUtil.line(this.reportMapper.blineTrend(id), new Color[]{Color.decode("#52D669"), Color.decode("#C33430")}, "数量", 700, 300));
                r.put("chartKeys", Arrays.asList("securityTrends"));
            }
            if (chktypeList.contains("3.2")) {
                r.put("accrods", this.reportMapper.blineAccord(id));
            }
            if (chktypeList.contains("3.3")) {
                r.put("informitys", this.reportMapper.blineInconformity(id));
            }
            File f = new File(Constant.COMMON_DIR, "device/" + id);
            if (f.isFile()) {
                try {
                    r.put("resultInfo", JsonUtil.MAPPER.readValue(f, Map.class));
                } catch (Exception e) {
                    this.LOG.error("基线报告-读取基线结果文件出错", e);
                }
            }
        }
        return r;
    }

    public Map<String, Object> getPwdReport(Integer id, String chktype) throws Exception {
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        Map<String, Object> r = new HashMap<>();
        r.put("chktype", chktypeList);
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
            Map<String, Object> summarize = this.reportMapper.pwdScore(id);
            summarize.put("bugTimeinter", DateUtil.getIntervalTime((String) null, ObjectUtil.getString(summarize.get("startTime"), ""), ObjectUtil.getString(summarize.get("lastTime"), "")));
            r.put("summarize", summarize);
        }
        if (chktypeList.contains("3")) {
            List<String> chartKeys = new ArrayList<>();
            r.put("chartKeys", chartKeys);
            if (chktypeList.contains("3.1")) {
                r.put("horsePie", ChartUtil.pie(EntryResult.parseEntry(this.reportMapper.pwdDistribute(id), "name", "y"), (Map) null, 400, 400));
                chartKeys.add("horsePie");
            }
            if (chktypeList.contains("3.2")) {
                r.put("pwdTrends", ChartUtil.column(this.reportMapper.pwdTrend(id), false, false, BUG_TYPE_COLOS, "弱口令数（个）", 700, 300));
                chartKeys.add("pwdTrends");
            }
            if (chktypeList.contains("3.3")) {
                r.put("pwdList", this.reportMapper.pwdList(id));
            }
        }
        return r;
    }

    public Map<String, Object> getHorseReport(Integer id, String chktype) throws Exception {
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        Map<String, Object> r = new HashMap<>();
        r.put("chktype", chktypeList);
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            r.put("devInfo", this.reportMapper.getDevById(id));
        }
        if (chktypeList.contains(REPORT_STATE_FAILED)) {
            r.put("horseInfo", this.reportMapper.horseInfo(id));
        }
        if (chktypeList.contains("3")) {
            r.put("horsePie", ChartUtil.pie(EntryResult.parseEntry(this.reportMapper.horsePie(id), "name", "y"), (Map) null, 400, 400));
            r.put("chartKeys", Arrays.asList("horsePie"));
        }
        return r;
    }

    public Map<String, Object> getMaliReport(Integer id, String chktype) throws Exception {
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        Map<String, Object> r = new HashMap<>();
        r.put("chktype", chktypeList);
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            r.put("devInfo", this.reportMapper.getDevById(id));
        }
        if (chktypeList.contains(REPORT_STATE_SUCCESS) || chktypeList.contains(REPORT_STATE_FAILED)) {
            r.put("maliInfo", this.reportMapper.maliInfo(id));
        }
        if (chktypeList.contains("3")) {
            r.put("maliPie", ChartUtil.pie(EntryResult.parseEntry(this.reportMapper.maliPie(id), "name", "y"), (Map) null, 400, 400));
            r.put("chartKeys", Arrays.asList("maliPie"));
        }
        return r;
    }

    private Map<String, Object> getDbReportXls(Integer id, String chktype) throws Exception {
        Map<String, Object> r = new HashMap<>();
        if (chktype.contains("7")) {
            List<Map<String, Object>> bugDetails = this.reportMapper.dbList(id);
            r.put("bugXls", bugDetails);
            r.put("count", Integer.valueOf(bugDetails.size() + 1));
        }
        return r;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public Map<String, Object> getDbReport(Integer id, String chktype) throws Exception {
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        Map<String, Object> r = new HashMap<>();
        r.put("chktype", chktypeList);
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
            Map<String, Object> summarize = this.reportMapper.dbScore(id);
            summarize.put("bugTimeinter", DateUtil.getIntervalTime((String) null, ObjectUtil.getString(summarize.get("startTime"), ""), ObjectUtil.getString(summarize.get("lastTime"), "")));
            r.put("summarize", summarize);
            r.put("dbNewBug", this.reportMapper.dbNewBug(id));
            r.put("dbRecovered", this.reportMapper.dbRecovered(id));
        }
        if (chktypeList.contains(REPORT_STATE_FAILED)) {
            List<Map<String, Object>> dbDevs = this.reportMapper.dbDev(id);
            for (Map<String, Object> dbDev : dbDevs) {
                String info = ObjectUtil.getString(dbDev.get("confContent"), "");
                Map<String, ObjectUtil> infoMap = (Map) JsonUtil.MAPPER_ESCAPE_HTML.readValue(info, HashMap.class);
                dbDev.put("dbtype", IDb.DB_SCAN_TYPE.get(ObjectUtil.getString(infoMap.get("db"), "")));
            }
            r.put("devices", dbDevs);
        }
        if (chktypeList.contains("3")) {
            List<String> chartKeys = new ArrayList<>();
            r.put("chartKeys", chartKeys);
            if (chktypeList.contains("3.1")) {
                r.put("securityTrends", ChartUtil.line(this.reportMapper.dbTrend(id), BUG_COLORS, "漏洞数", 700, 300));
                chartKeys.add("securityTrends");
            }
            if (chktypeList.contains("3.2")) {
                Map<String, Object> data = this.reportMapper.dbBugLevel(id);
                List<Map<String, Object>> list = new ArrayList<>();
                for (Object[] objArr : new String[]{new String[]{"critical", "紧急"}, new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("value", Integer.valueOf(ObjectUtil.getInt(data.get(objArr[0]), 0)));
                    hashMap.put("text", objArr[1]);
                    list.add(hashMap);
                }
                r.put("bugLevel", ChartUtil.column(list, false, false, BUG_COLORS, "漏洞数", 650, 300));
                chartKeys.add("bugLevel");
            }
            if (chktypeList.contains("3.3")) {
                r.put("dbTypeLevel", ChartUtil.column(this.reportMapper.dbTypeLevel(id), false, false, BUG_TYPE_COLOS, "漏洞数", 650, 300));
                chartKeys.add("dbTypeLevel");
            }
        }
        if (chktypeList.contains("4")) {
            r.put("dbList", this.reportMapper.dbList(id));
            Properties oem = (Properties) InitSystemTask.servletContext.getAttribute("oem");
            String sysname = oem.getProperty("sysname", "");
            if (!"漏洞扫描工具".equals(sysname)) {
                r.put("dbNewBugMap", EntryResult.parseEntry(this.reportMapper.dbNewBugList(id), "id", "name"));
            }
        }
        if (chktypeList.contains("7")) {
            Map<String, Object> dbDev2 = this.reportMapper.getDevById(id);
            if (dbDev2 == null) {
                throw new UEException("资产ID不存在");
            }
            if (ObjectUtil.getInt(dbDev2.get("scanCount"), 1) != 1) {
                r.put("dbRecoveredList", this.reportMapper.dbRecoveredList(id));
            }
        }
        if (chktypeList.contains("5")) {
            r.put("checkResult", EntryResult.parseEntryListMap(this.reportMapper.dbInfo(id), "level"));
            r.put("rule", DbRule.getInstance().getRule());
        }
        return r;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v11, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v14, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v17, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v8, types: [java.lang.String[], java.lang.String[][]] */
    public Map<String, Object> getStuationReport(String chktype, String startTime, String endTime) throws Exception {
        Map<String, Object> r = new HashMap<>();
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("chktype", chktypeList);
        r.put("startTime", startTime);
        r.put("endTime", endTime);
        String startTime2 = String.valueOf(startTime) + " 00:00";
        String endTime2 = String.valueOf(endTime) + " 23:59";
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            if (chktypeList.contains("1.1")) {
                stuationHander("webPeriodSummary", this.reportMapper.getWebBugPeriodSummary(startTime2, endTime2), new String[]{new String[]{"bug", "普通漏洞"}, new String[]{"horse", "网马和暗链"}, new String[]{"pwd", "敏感内容"}, new String[]{"tamper", "篡改"}, new String[]{"fish", "钓鱼检测"}}, chartKeys, r);
            }
            if (chktypeList.contains("1.2")) {
                stuationHander("sysPeriodSummary", this.reportMapper.getSysBugPeriodSummary(startTime2, endTime2), new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}, chartKeys, r);
            }
            if (chktypeList.contains("1.3")) {
                stuationHander("dbPeriodSummary", this.reportMapper.getDbBugPeriodSummary(startTime2, endTime2), new String[]{new String[]{"critical", "紧急"}, new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}, chartKeys, r);
            }
            if (chktypeList.contains("1.4")) {
                stuationHander("blinePeriodSummary", this.reportMapper.getBlineBugPeriodSummary(startTime2, endTime2), new String[]{new String[]{"accord", "符合"}, new String[]{"inconformity", "不符合"}}, chartKeys, r);
            }
        }
        if (chktypeList.contains(REPORT_STATE_FAILED)) {
            if (chktypeList.contains("2.1")) {
                r.put("webPeriod", this.reportMapper.getWebBugForPeriod(startTime2, endTime2));
            }
            if (chktypeList.contains("2.2")) {
                r.put("sysPeriod", this.reportMapper.getSysBugForPeriod(startTime2, endTime2));
            }
            if (chktypeList.contains("2.3")) {
                r.put("dbPeriod", this.reportMapper.getDbBugForPeriod(startTime2, endTime2));
            }
            if (chktypeList.contains("2.4")) {
                r.put("blinePeriod", this.reportMapper.getBlineBugForPeriod(startTime2, endTime2));
            }
        }
        return r;
    }

    private void stuationHander(String keys, Map<String, Object> m, String[][] bugTypes, List<String> chartKeys, Map<String, Object> r) throws Exception {
        List<Map<String, Object>> bugMonth = new ArrayList<>();
        if (m == null) {
            return;
        }
        for (String[] bugType : bugTypes) {
            Map<String, Object> row = new HashMap<>();
            row.put("value", Integer.valueOf(ObjectUtil.getInt(m.get(bugType[0]), 0)));
            row.put("text", bugType[1]);
            bugMonth.add(row);
        }
        r.put(keys, ChartUtil.column(bugMonth, false, false, DB_BUG_COLORS, "漏洞数", 650, 300));
        chartKeys.add(keys);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v11, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v13, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v15, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v17, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v19, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v21, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v23, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v25, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v3, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v5, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v7, types: [java.lang.String[], java.lang.String[][]] */
    /* JADX WARN: Type inference failed for: r3v9, types: [java.lang.String[], java.lang.String[][]] */
    public Map<String, Object> getTrendReport(String chktype) throws Exception {
        Map<String, Object> r = new HashMap<>();
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("chktype", chktypeList);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            if (chktypeList.contains("1.1")) {
                trendHander("webBugMoth", this.reportMapper.webBugMoth(), new String[]{new String[]{"bug", "普通漏洞"}, new String[]{"horse", "网马和暗链"}, new String[]{"pwd", "敏感内容"}, new String[]{"tamper", "篡改"}, new String[]{"fish", "钓鱼检测"}}, "tday", chartKeys, r);
            }
            if (chktypeList.contains("1.2")) {
                trendHander("sysBugMoth", this.reportMapper.sysBugMoth(), new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}, "tday", chartKeys, r);
            }
            if (chktypeList.contains("1.3")) {
                trendHander("dbBugMoth", this.reportMapper.dbBugMoth(), new String[]{new String[]{"critical", "紧急"}, new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}, "tday", chartKeys, r);
            }
            if (chktypeList.contains("1.4")) {
                trendHander("blineBugMoth", this.reportMapper.blineBugMoth(), new String[]{new String[]{"accord", "符合"}, new String[]{"inconformity", "不符合"}}, "tday", chartKeys, r);
            }
        }
        if (chktypeList.contains(REPORT_STATE_FAILED)) {
            if (chktypeList.contains("2.1")) {
                trendHander("webBugQuarter", this.reportMapper.webBugQuarter(), new String[]{new String[]{"bug", "普通漏洞"}, new String[]{"horse", "网马和暗链"}, new String[]{"pwd", "敏感内容"}, new String[]{"tamper", "篡改"}, new String[]{"fish", "钓鱼检测"}}, "quarter", chartKeys, r);
            }
            if (chktypeList.contains("2.2")) {
                trendHander("sysBugQuarter", this.reportMapper.sysBugQuarter(), new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}, "quarter", chartKeys, r);
            }
            if (chktypeList.contains("2.3")) {
                trendHander("dbBugQuarter", this.reportMapper.dbBugQuarter(), new String[]{new String[]{"critical", "紧急"}, new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}, "quarter", chartKeys, r);
            }
            if (chktypeList.contains("2.4")) {
                trendHander("blineBugQuarter", this.reportMapper.blineBugQuarter(), new String[]{new String[]{"accord", "符合"}, new String[]{"inconformity", "不符合"}}, "quarter", chartKeys, r);
            }
        }
        if (chktypeList.contains("3")) {
            if (chktypeList.contains("3.1")) {
                trendHander("webBugYear", this.reportMapper.webBugYear(), new String[]{new String[]{"bug", "普通漏洞"}, new String[]{"horse", "网马和暗链"}, new String[]{"pwd", "敏感内容"}, new String[]{"tamper", "篡改"}, new String[]{"fish", "钓鱼检测"}}, "month", chartKeys, r);
            }
            if (chktypeList.contains("3.2")) {
                trendHander("sysBugYear", this.reportMapper.sysBugYear(), new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}, "month", chartKeys, r);
            }
            if (chktypeList.contains("3.3")) {
                trendHander("dbBugYear", this.reportMapper.dbBugYear(), new String[]{new String[]{"critical", "紧急"}, new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}, "month", chartKeys, r);
            }
            if (chktypeList.contains("3.4")) {
                trendHander("blineBugYear", this.reportMapper.blineBugYear(), new String[]{new String[]{"accord", "符合"}, new String[]{"inconformity", "不符合"}}, "month", chartKeys, r);
            }
        }
        return r;
    }

    private void trendHander(String keys, List<Map<String, Object>> list, String[][] bugTypes, String group, List<String> chartKeys, Map<String, Object> r) throws Exception {
        List<Map<String, Object>> bugMonth = new ArrayList<>();
        for (Map<String, Object> m : list) {
            for (String[] bugType : bugTypes) {
                Map<String, Object> row = new HashMap<>();
                row.put("value", Integer.valueOf(ObjectUtil.getInt(m.get(bugType[0]), 0)));
                row.put("text", bugType[1]);
                row.put("group", ObjectUtil.getString(m.get(group), ""));
                bugMonth.add(row);
            }
        }
        r.put(keys, ChartUtil.column(bugMonth, true, true, (Color[]) null, "漏洞数", 650, 300));
        chartKeys.add(keys);
    }

    public Map<String, Object> getSyntReport(String ids, String chktype) throws Exception {
        Map<String, Object> r = new HashMap<>();
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        r.put("chktype", chktypeList);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        r.put("devType", IDevice.TASK_DEVICE_TYPE);
        String[] ip = ids.split(",");
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            r.put("devCount", Integer.valueOf(ip.length));
            r.put("bugSyntCount", EntryResult.parseEntryMap(this.reportMapper.bugSyntCount(ip), "type"));
            r.put("pwdSyntCount", this.reportMapper.pwdSyntCount(ip));
            r.put("blineSyntCount", this.reportMapper.blineSyntCount(ip));
            r.put("horseSyntCount", this.reportMapper.horseSyntCount(ip));
            r.put("maliSyntCount", this.reportMapper.maliSyntCount(ip));
            r.put("score", this.reportMapper.syntScore(ip));
        }
        if (chktypeList.contains(REPORT_STATE_FAILED)) {
            if (chktypeList.contains("2.1")) {
                r.put("syntDevInfo", this.reportMapper.syntDevInfo(ip));
            }
            if (chktypeList.contains("2.2")) {
                Map<String, Object> syntDevMap = EntryResult.parseEntry(this.reportMapper.syntDevTypeCount(ip), "type", "c");
                if (ObjectUtil.getInt(syntDevMap.get(REPORT_STATE_READY), 0) == 0) {
                    syntDevMap.put(REPORT_STATE_READY, Integer.valueOf(ObjectUtil.getInt(syntDevMap.get("7"), 0)));
                }
                if (ObjectUtil.getInt(syntDevMap.get(REPORT_STATE_FAILED), 0) == 0) {
                    syntDevMap.put(REPORT_STATE_READY, Integer.valueOf(ObjectUtil.getInt(syntDevMap.get("8"), 0)));
                }
                Map<String, Object> syntDevRes = new HashMap<>();
                for (Map.Entry<String, Object> e : syntDevMap.entrySet()) {
                    if (IDevice.TASK_DEVICE_TYPE.containsKey(ObjectUtil.getString(e.getKey(), ""))) {
                        syntDevRes.put((String) IDevice.TASK_DEVICE_TYPE.get(ObjectUtil.getString(e.getKey(), "")), e.getValue());
                    }
                }
                r.put("devTypeCount", ChartUtil.pie(syntDevRes, (Map) null, 540, 400));
                chartKeys.add("devTypeCount");
            }
        }
        if (chktypeList.contains("3")) {
            if (chktypeList.contains("3.1")) {
                List<Map<String, Object>> devInfos = this.reportMapper.syntDevInfo(ip);
                int verySecurity = 0;
                int relativeSecurity = 0;
                int veryDanger = 0;
                int relativeDanger = 0;
                for (Map<String, Object> devInfo : devInfos) {
                    double score = ObjectUtil.getDouble(devInfo.get("score"), 0.0d);
                    if (score == 100.0d) {
                        verySecurity++;
                    } else if (score >= 80.0d) {
                        relativeSecurity++;
                    } else if (score >= 60.0d) {
                        relativeDanger++;
                    } else if (score < 60.0d) {
                        veryDanger++;
                    }
                }
                Map<String, Object> riskGrade = new HashMap<>();
                riskGrade.put("非常危险", Integer.valueOf(veryDanger));
                riskGrade.put("比较危险", Integer.valueOf(relativeDanger));
                riskGrade.put("比较安全", Integer.valueOf(relativeSecurity));
                riskGrade.put("非常安全", Integer.valueOf(verySecurity));
                r.put("riskGrade", ChartUtil.pie(riskGrade, DEVICE_COLORS, 540, 400));
                chartKeys.add("riskGrade");
            }
            if (chktypeList.contains("3.2")) {
                List<Map<String, Object>> syntRiskSta = this.reportMapper.syntRiskSta(ip);
                syntRiskSta.addAll(this.reportMapper.pwdSynt(ip));
                syntRiskSta.addAll(this.reportMapper.blineSynt(ip));
                syntRiskSta.addAll(this.reportMapper.horseSynt(ip));
                syntRiskSta.addAll(this.reportMapper.maliSynt(ip));
                Map<String, List<Map<String, Object>>> entryListMap = EntryResult.parseEntryListMap(syntRiskSta, "ip");
                Map<String, String> syntType = new HashMap<>();
                syntType.put("sys", "主机");
                syntType.put("db", "数据库");
                syntType.put("web", "网站");
                syntType.put("pwd", "弱口令");
                syntType.put("bline", "基线不符合项");
                syntType.put("horse", "木马病毒");
                syntType.put("mali", "网站恶意代码");
                Map<Integer, String> blineMap = new HashMap<>();
                blineMap.put(3, "中间件");
                blineMap.put(4, "网络设备");
                blineMap.put(5, "虚拟化平台");
                blineMap.put(6, "安全设备");
                blineMap.put(7, "主机基线");
                blineMap.put(8, "数据库基线");
                blineMap.put(11, "无线设备");
                Map<String, Object> resultData = new HashMap<>();
                for (Map.Entry<String, List<Map<String, Object>>> entry : entryListMap.entrySet()) {
                    Map<String, Map<String, Object>> synts = EntryResult.parseEntryMap(entry.getValue(), "type");
                    Map<String, Object> resMap = new HashMap<>();
                    Map<String, Object> resMap1 = new HashMap<>();
                    for (Map.Entry<String, Map<String, Object>> e2 : synts.entrySet()) {
                        String type = e2.getKey();
                        Map<String, Object> syntMap = e2.getValue();
                        if ("sys".equals(type) || "web".equals(type)) {
                            resMap.put(syntType.get(type), Integer.valueOf(ObjectUtil.getInt(syntMap.get("high"), 0) + ObjectUtil.getInt(syntMap.get("medium"), 0) + ObjectUtil.getInt(syntMap.get("low"), 0)));
                            resMap1.put(String.valueOf(syntType.get(type)) + "高危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("high"), 0)));
                            resMap1.put(String.valueOf(syntType.get(type)) + "中危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("medium"), 0)));
                            resMap1.put(String.valueOf(syntType.get(type)) + "低危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("low"), 0)));
                        }
                        if ("db".equals(type)) {
                            resMap.put(syntType.get(type), Integer.valueOf(ObjectUtil.getInt(syntMap.get("critical"), 0) + ObjectUtil.getInt(syntMap.get("high"), 0) + ObjectUtil.getInt(syntMap.get("medium"), 0) + ObjectUtil.getInt(syntMap.get("low"), 0)));
                            resMap1.put(String.valueOf(syntType.get(type)) + "高危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("critical"), 0) + ObjectUtil.getInt(syntMap.get("high"), 0)));
                            resMap1.put(String.valueOf(syntType.get(type)) + "中危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("medium"), 0)));
                            resMap1.put(String.valueOf(syntType.get(type)) + "低危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("low"), 0)));
                        }
                        if ("pwd".equals(type) || "horse".equals(type) || "mali".equals(type)) {
                            resMap.put(syntType.get(type), Integer.valueOf(ObjectUtil.getInt(syntMap.get("c"), 0)));
                            resMap1.put(syntType.get(type), Integer.valueOf(ObjectUtil.getInt(syntMap.get("c"), 0)));
                        }
                        if ("bline".equals(type)) {
                            resMap.put(blineMap.get(ObjectUtil.getInt(syntMap.get("btype"))), Integer.valueOf(ObjectUtil.getInt(syntMap.get("high"), 0) + ObjectUtil.getInt(syntMap.get("medium"), 0) + ObjectUtil.getInt(syntMap.get("low"), 0)));
                            resMap1.put(String.valueOf(blineMap.get(ObjectUtil.getInt(syntMap.get("btype")))) + "高危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("high"), 0)));
                            resMap1.put(String.valueOf(blineMap.get(ObjectUtil.getInt(syntMap.get("btype")))) + "中危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("medium"), 0)));
                            resMap1.put(String.valueOf(blineMap.get(ObjectUtil.getInt(syntMap.get("btype")))) + "低危", Integer.valueOf(ObjectUtil.getInt(syntMap.get("low"), 0)));
                        }
                    }
                    String repKey = StringUtils.replaceEach(entry.getKey(), new String[]{"/", ":", "*", "<", ">", "?", "|"}, new String[]{"~", "@", "#", "$", "%", "^", "&"});
                    resultData.put(repKey, ChartUtil.pie(resMap, (Map) null, 540, 400));
                    resultData.put(String.valueOf(repKey) + "detail", ChartUtil.pie(resMap1, (Map) null, 540, 400));
                }
                r.put("syntRiskSta", resultData);
                chartKeys.add("syntRiskSta");
            }
        }
        return r;
    }

    public Map<String, Object> getGradeReport(String ids, String chktype) throws Exception {
        Integer sysid = Integer.valueOf(Integer.parseInt(ids));
        Map<String, Object> r = new HashMap<>();
        r.put("layers", new String[]{"物理安全", "网络安全", "主机安全", "应用安全", "数据安全及备份恢复", "安全管理制度", "安全管理机构", "人员安全管理", "系统建设管理", "系统运维管理"});
        r.put("currdate", new SimpleDateFormat("yyyy年MM月dd日").format(new Date()));
        r.put("infosys", this.gradeMapper.getById(sysid));
        r.put("odata", EntryResult.parseEntry(this.gradeMapper.getData(sysid), "name", "value"));
        double totalScore = this.reportMapper.calcScore(sysid);
        r.put("totalScore", Double.valueOf(totalScore));
        r.put("cpjl", totalScore >= 100.0d ? "符合" : totalScore > 60.0d ? "基本符合" : "不符合");
        List<Map<String, Object>> list = this.reportMapper.getProblem(sysid);
        r.put("problemList", list);
        r.put("problem", handlerProblem(list, true));
        r.put("problemFh", handlerProblem(this.reportMapper.getProblemFh(sysid), null));
        r.put("devlist", this.reportMapper.queryDev(sysid));
        Map<String, String> impoEntry = new HashMap<>();
        impoEntry.put(REPORT_STATE_SUCCESS, "非常重要");
        impoEntry.put(REPORT_STATE_FAILED, "比较重要");
        impoEntry.put("3", "一般");
        r.put("impoEntry", impoEntry);
        r.put("secser", this.reportMapper.secserList(sysid));
        r.put("baseitem", this.reportMapper.getBaseItem(sysid));
        r.put("noneitem", this.reportMapper.getNoneitem(sysid));
        Map<String, Map<String, Object>> resultSumm = parseResultSumm(this.reportMapper.getResultSumm(sysid));
        r.put("resultSumm", resultSumm);
        r.put("cpointSumm", EntryResult.parseEntryListMap(this.reportMapper.cpointSumm(sysid), "layer"));
        r.put("secSumm", EntryResult.parseEntryListMap(this.reportMapper.cpointSumm(sysid), "layer"));
        r.put("layerScore", EntryResult.parseEntry(this.reportMapper.layerScore(sysid), "layer", "score"));
        r.put("checkResultRe", EntryResult.parseEntryListMap(this.reportMapper.checkResultRe(sysid), "layer"));
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        for (String name : new String[]{"tooltop", "nettop"}) {
            File img = new File(Constant.COMMON_DIR, "grade/" + sysid + "/" + name + ".png");
            if (!img.isFile()) {
                img = new File(InitSystemTask.servletContext.getRealPath("/"), "images/noimg.jpg");
            }
            r.put(name, FileUtils.readFileToByteArray(img));
            chartKeys.add(name);
        }
        r.put("riskList", this.reportMapper.riskList(sysid));
        return r;
    }

    public Map<String, Object> getGrade2Report(String ids, String chktype) throws Exception {
        Integer sysid = Integer.valueOf(Integer.parseInt(ids));
        Map<String, Object> r = new HashMap<>();
        r.put("layers", new String[]{"安全物理环境", "安全通信网络", "安全区域边界", "安全计算环境", "安全管理中心", "安全管理制度", "安全管理机构", "安全管理人员", "安全建设管理", "安全运维管理"});
        r.put("currdate", new SimpleDateFormat("yyyy年MM月dd日").format(new Date()));
        r.put("infosys", this.gradeMapper.getById2(sysid));
        r.put("odata", EntryResult.parseEntry(this.gradeMapper.getData(Integer.valueOf(sysid.intValue() * (-1))), "name", "value"));
        List<Map<String, Object>> list = this.reportMapper.getProblem2(sysid);
        r.put("problem", handlerProblem2(list, true));
        r.put("baseitem", this.reportMapper.getBaseItem2());
        r.put("extitem", this.reportMapper.getExtItem2());
        r.put("bsyitem", this.reportMapper.getBsyItem2(sysid));
        r.put("devlist", this.reportMapper.queryDev2(sysid));
        Map<String, String> impoEntry = new HashMap<>();
        impoEntry.put(REPORT_STATE_SUCCESS, "非常重要");
        impoEntry.put(REPORT_STATE_FAILED, "比较重要");
        impoEntry.put("3", "一般");
        r.put("impoEntry", impoEntry);
        List<Map<String, Object>> analyzeList = this.reportMapper.getProblemAnalyze(sysid);
        r.put("analyzeList", handlerAnalyze(analyzeList));
        List<Map<String, Object>> scanCount = this.reportMapper.scanCount(sysid);
        r.put("scanCount", scanCount);
        int high = 0;
        int medium = 0;
        int low = 0;
        for (Map<String, Object> row : scanCount) {
            high += ObjectUtil.getInt(row.get("high"), 0);
            medium += ObjectUtil.getInt(row.get("medium"), 0);
            low += ObjectUtil.getInt(row.get("low"), 0);
        }
        r.put("highBug", Integer.valueOf(high));
        r.put("mediumBug", Integer.valueOf(medium));
        r.put("lowBug", Integer.valueOf(low));
        double totalScore = this.reportMapper.calcScore2(sysid);
        r.put("totalScore", Double.valueOf(totalScore));
        if (totalScore >= 95.0d && high < 1 && medium < 1) {
            r.put("cpjl", "优");
        } else if (totalScore >= 85.0d && high < 1) {
            r.put("cpjl", "良");
        } else if (totalScore >= 75.0d && high < 1) {
            r.put("cpjl", "中");
        } else {
            r.put("cpjl", "差");
        }
        List<Map<String, Object>> ckResultList = this.reportMapper.ckResultList(sysid);
        r.put("ckResultList", ckResultList);
        Map<String, Object> ckResultListTotal = this.reportMapper.ckResultListTotal(sysid);
        r.put("ckResultListTotal", ckResultListTotal);
        r.put("riskList", this.reportMapper.riskList(Integer.valueOf(sysid.intValue() * (-1))));
        Map<String, Map<String, Object>> resultSumm = parseResultSumm2(this.reportMapper.getResultSumm2(sysid, false));
        r.put("resultSumm", resultSumm);
        Map<String, Map<String, Object>> resultSummExt = parseResultSumm2(this.reportMapper.getResultSumm2(sysid, true));
        r.put("resultSummExt", resultSummExt);
        Map<String, Map<String, Map<String, Integer>>> getResultSumm2Count = parseResultSummCount(this.reportMapper.getResultSumm2Count(sysid, false));
        r.put("getResultSumm2Count", getResultSumm2Count);
        Map<String, Map<String, Map<String, Integer>>> getResultSumm2CountExt = parseResultSummCount(this.reportMapper.getResultSumm2Count(sysid, true));
        r.put("getResultSumm2CountExt", getResultSumm2CountExt);
        List<Map<String, Object>> checkResultRe = this.reportMapper.checkResultRe2(sysid);
        r.put("checkResultRe", EntryResult.parseEntryEntry(checkResultRe, "type", "name", new String[]{"cpoint", "item", "desct", "score"}));
        List<Map<String, Object>> scanResult = this.reportMapper.scanResult(sysid);
        r.put("scanResult", scanResult);
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        for (String name : new String[]{"tooltop", "nettop"}) {
            File img = new File(Constant.COMMON_DIR, "grade2/" + sysid + "/" + name + ".png");
            if (!img.isFile()) {
                img = new File(InitSystemTask.servletContext.getRealPath("/"), "images/noimg.jpg");
            }
            r.put(name, FileUtils.readFileToByteArray(img));
            chartKeys.add(name);
        }
        return r;
    }

    public Map<String, Object> getGradeHydwReport(String ids) throws Exception {
        Integer sysid = Integer.valueOf(Integer.parseInt(ids));
        Map<String, Object> r = new HashMap<>();
        Map<String, Object> infosys = this.gradeMapper.getByIdHydw(sysid);
        r.put("currdate", new SimpleDateFormat("yyyy年MM月dd日").format(new Date()));
        r.put("infosys", infosys);
        List<Map<String, Object>> hgxtjfx = this.gradeMapper.getHydwHgxtjfx(sysid);
        r.put("hgxtjfx", hgxtjfx);
        r.put("hgxtjfxEntry", EntryResult.parseEntryMap(hgxtjfx, "layer"));
        Map<String, Object> hgxtjfxTotal = this.gradeMapper.getHydwHgxtjfxTotal(sysid);
        r.put("hgxtjfxTotal", hgxtjfxTotal);
        List<Map<String, Object>> hgxxxlbList = this.gradeMapper.getHydwHgxxxlb(sysid);
        Map<String, List<Map<String, Object>>> hgxxxlb = EntryResult.parseEntryListMap(hgxxxlbList, "layer");
        r.put("hgxxxlb", hgxxxlb);
        double totalItem = ObjectUtil.getDouble(hgxtjfxTotal.get("total"), 0.0d);
        if (totalItem == 0.0d) {
            r.put("totalScore", 0);
        } else {
            r.put("totalScore", Double.valueOf(ObjectUtil.toFixed((ObjectUtil.getDouble(hgxtjfxTotal.get("fh"), 0.0d) / totalItem) * 100.0d, 1)));
        }
        List<Map<String, Object>> guowai = this.gradeMapper.getGuowaiItem(sysid);
        r.put("guowai", guowai);
        return r;
    }

    public Map<String, Object> getGradeCustomReport(String ids) throws Exception {
        Integer sysid = Integer.valueOf(Integer.parseInt(ids));
        Map<String, Object> r = new HashMap<>();
        Map<String, Object> infosys = this.gradeMapper.getByIdHydw(sysid);
        r.put("currdate", new SimpleDateFormat("yyyy年MM月dd日").format(new Date()));
        r.put("infosys", infosys);
        List<Map<String, Object>> hgxtjfx = this.gradeMapper.getCustomHgxtjfx(sysid);
        r.put("hgxtjfx", hgxtjfx);
        r.put("hgxtjfxEntry", EntryResult.parseEntryMap(hgxtjfx, "layer"));
        Map<String, Object> hgxtjfxTotal = this.gradeMapper.getCustomHgxtjfxTotal(sysid);
        r.put("hgxtjfxTotal", hgxtjfxTotal);
        List<Map<String, Object>> hgxxxlbList = this.gradeMapper.getCustomHgxxxlb(sysid);
        Map<String, List<Map<String, Object>>> hgxxxlb = EntryResult.parseEntryListMap(hgxxxlbList, "layer");
        r.put("hgxxxlb", hgxxxlb);
        double totalItem = ObjectUtil.getDouble(hgxtjfxTotal.get("total"), 0.0d);
        if (totalItem == 0.0d) {
            r.put("totalScore", 0);
        } else {
            r.put("totalScore", Double.valueOf(ObjectUtil.toFixed((ObjectUtil.getDouble(hgxtjfxTotal.get("fh"), 0.0d) / totalItem) * 100.0d, 1)));
        }
        return r;
    }

    private Map<String, Object> getWebReportXls(Integer id, String chktype) throws Exception {
        Map<String, Object> r = new HashMap<>();
        if (chktype.contains("6")) {
            List<Map<String, Object>> webBugs = this.reportMapper.getWebBug(id);
            r.put("bugXls", webBugs);
            r.put("count", Integer.valueOf(webBugs.size() + 1));
            r.put("policesConfig", EntryResult.parseEntryMap(this.webPoliciesMapper.getAllPolicies(), "id"));
            Map<String, Object> bugStaus = new HashMap<>();
            bugStaus.put(REPORT_STATE_READY, "未标记");
            bugStaus.put(REPORT_STATE_SUCCESS, "已修复");
            bugStaus.put(REPORT_STATE_FAILED, "已确认");
            r.put("bugStaus", bugStaus);
        }
        return r;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public Map<String, Object> getWebReport(Integer id, String chktype) throws Exception {
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        Map<String, Object> r = new HashMap<>();
        r.put("chktype", chktypeList);
        Task t = this.taskBaseMapper.getTaskBydevId(id);
        r.put("webTitle", IWeb.WEB_TYPE.get(t.getType()));
        r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        if (chktypeList.contains(REPORT_STATE_FAILED)) {
            Map<String, Object> webDev = this.reportMapper.webDev(id);
            if (MapUtils.isNotEmpty(webDev)) {
                webDev.put("bugTimeinter", DateUtil.getIntervalTime((String) null, ObjectUtil.getString(webDev.get("startTime"), ""), ObjectUtil.getString(webDev.get("lastTime"), "")));
                webDev.put("temperTimeinter", DateUtil.getIntervalTime((String) null, ObjectUtil.getString(webDev.get("tstartTime"), ""), ObjectUtil.getString(webDev.get("tlastTime"), "")));
                webDev.put("availTimeinter", DateUtil.getIntervalTime((String) null, ObjectUtil.getString(webDev.get("astartTime"), ""), ObjectUtil.getString(webDev.get("alastTime"), "")));
                webDev.put("url", webDev.get("url"));
                Integer devid = ObjectUtil.getInt(webDev.get("id"));
                webDev.putAll(this.reportMapper.webHideAndKeyword(devid));
                webDev.put("urlCount", this.reportMapper.webUrlCount(devid));
                webDev.put("tamperCount", this.reportMapper.tamperCount(devid));
                Integer fishCount = this.reportMapper.fishBugByDev(devid);
                webDev.put("fishCount", fishCount);
                webDev.put("c", Integer.valueOf(ObjectUtil.getInt(fishCount, 0)));
                webDev.put("webNewBug", this.reportMapper.webNewBug(devid));
                webDev.put("webRecovered", this.reportMapper.webRecovered(devid));
                int score = ObjectUtil.getInt(this.reportMapper.webScoreById(devid), 10);
                int status = ObjectUtil.getInt(webDev.get("status"), 0);
                if (status == 0) {
                    webDev.put("status", "未知");
                } else if (status == 1) {
                    webDev.put("status", "不可访问");
                    score = 0;
                } else if (status == 2) {
                    webDev.put("status", "可访问");
                }
                String dnsHijacking = ObjectUtil.getString(webDev.get("dnsHijacking"), "");
                if ("是".equals(dnsHijacking) && score >= 10) {
                    score -= 10;
                }
                webDev.put("score", Integer.valueOf(score));
                r.put("devices", webDev);
            }
        }
        if (chktypeList.contains("3")) {
            List<Map<String, Object>> urlList = new ArrayList<>();
            List<Map<String, Object>> urlList2 = new ArrayList<>();
            Map<String, Object> dev = this.reportMapper.getDevById(id);
            Integer devid2 = ObjectUtil.getInt(dev.get("id"));
            List<Map<String, Object>> urls = this.reportMapper.webUrl(devid2);
            if (urls != null && urls.size() > 0) {
                for (Map<String, Object> url : urls) {
                    url.put("url", ObjectUtil.stripNonCharCodepoints(ObjectUtil.getString(url.get("url"), "")));
                    int code = ObjectUtil.getInt(url.get("code"), 200);
                    if (code == 0 || code == 404) {
                        urlList2.add(url);
                    }
                }
                urlList.addAll(urls);
            } else {
                List<Map<String, Object>> tempUrls = this.reportMapper.webUrlTamper(devid2);
                for (Map<String, Object> url2 : tempUrls) {
                    url2.put("url", ObjectUtil.stripNonCharCodepoints(ObjectUtil.getString(url2.get("url"), "")));
                    int code2 = ObjectUtil.getInt(url2.get("code"), 200);
                    if (code2 == 0 || code2 == 404) {
                        urlList2.add(url2);
                    }
                }
                urlList.addAll(tempUrls);
            }
            r.put("webUrls", urlList);
            r.put("webUrls2", EntryResult.parseEntryListMap(urlList2, "code"));
        }
        List<String> chartKeys = new ArrayList<>();
        r.put("chartKeys", chartKeys);
        if (chktypeList.contains("4")) {
            r.put("urlCount", this.reportMapper.webUrlCount(id));
            Object tamperCount = this.reportMapper.tamperCount(id);
            r.put("tamperCount", tamperCount);
            Map<String, Object> hideKey = this.reportMapper.webHideAndKeyword(id);
            r.put("hideKey", hideKey);
            Integer fishcount = this.reportMapper.fishBugByDev(id);
            r.put("fishcount", fishcount);
            Map<String, Object> bugCountMap = this.reportMapper.webBugCount(id);
            r.put("bugCount", bugCountMap);
            if (chktypeList.contains("4.1")) {
                Map<String, Object> webDev2 = this.reportMapper.webDev(id);
                if (MapUtils.isNotEmpty(webDev2)) {
                    int canVisit = 0;
                    int dnsCount = 0;
                    String dnsHijacking2 = ObjectUtil.getString(webDev2.get("dnsHijacking"), "");
                    if (ObjectUtil.getInt(webDev2.get("status"), 0) == 1) {
                        canVisit = 0 + 1;
                    }
                    if ("是".equals(dnsHijacking2)) {
                        dnsCount = 0 + 1;
                    }
                    r.put("canVisit", Integer.valueOf(canVisit));
                    r.put("dnsCount", Integer.valueOf(dnsCount));
                    List<Map<String, Object>> list = new ArrayList<>();
                    Map<String, Object> m1 = new HashMap<>();
                    m1.put("value", Integer.valueOf(ObjectUtil.getInt(bugCountMap.get("total"), 0)));
                    m1.put("text", "安全漏洞");
                    list.add(m1);
                    Map<String, Object> m2 = new HashMap<>();
                    m2.put("value", Integer.valueOf(ObjectUtil.getInt(hideKey.get("Hiddenlink"), 0)));
                    m2.put("text", "网马和暗链");
                    list.add(m2);
                    Map<String, Object> m3 = new HashMap<>();
                    m3.put("value", Integer.valueOf(ObjectUtil.getInt(fishcount, 0)));
                    m3.put("text", "钓鱼检测");
                    list.add(m3);
                    Map<String, Object> m4 = new HashMap<>();
                    m4.put("value", Integer.valueOf(ObjectUtil.getInt(hideKey.get("KeyWords"), 0)));
                    m4.put("text", "敏感关键字");
                    list.add(m4);
                    Map<String, Object> m5 = new HashMap<>();
                    m5.put("value", tamperCount);
                    m5.put("text", "篡改");
                    list.add(m5);
                    Map<String, Object> m6 = new HashMap<>();
                    m6.put("value", Integer.valueOf(canVisit));
                    m6.put("text", "不可访问");
                    list.add(m6);
                    Map<String, Object> m7 = new HashMap<>();
                    m7.put("value", Integer.valueOf(dnsCount));
                    m7.put("text", "域名劫持");
                    list.add(m7);
                    r.put("bugLevel", ChartUtil.column(list, false, false, BUG_TYPE_COLOS, "漏洞数", 700, 300));
                    chartKeys.add("bugLevel");
                }
            }
            if (chktypeList.contains("4.2")) {
                Map<String, Object> data = this.reportMapper.webBugCount(id);
                List<Map<String, Object>> list2 = new ArrayList<>();
                for (Object[] objArr : new String[]{new String[]{"high", "高危"}, new String[]{"medium", "中危"}, new String[]{"low", "低危"}, new String[]{"info", "信息"}}) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("value", Integer.valueOf(ObjectUtil.getInt(data.get(objArr[0]), 0)));
                    hashMap.put("text", objArr[1]);
                    list2.add(hashMap);
                }
                r.put("webBugCount", ChartUtil.column(list2, false, false, BUG_COLORS, "漏洞数", 650, 300));
                chartKeys.add("webBugCount");
            }
            if (chktypeList.contains("4.3")) {
                List<Map<String, Object>> owaspList = this.reportMapper.webBugTypeCount(id);
                for (Map<String, Object> owasp : owaspList) {
                    owasp.put("text", ObjectUtil.getString(owasp.get("text"), "").split("\\[")[0]);
                }
                r.put("webBugTypeCount", ChartUtil.column(owaspList, false, false, BUG_TYPE_COLOS, "漏洞数", 650, 300));
                chartKeys.add("webBugTypeCount");
                r.put("webBugTypeList", this.reportMapper.webBugTypeCount(id));
            }
            if (chktypeList.contains("4.3")) {
                List<Map<String, Object>> owaspList2 = this.reportMapper.owasp2017Count(id);
                for (Map<String, Object> owasp2 : owaspList2) {
                    owasp2.put("text", ObjectUtil.getString(owasp2.get("text"), "").split("\\[")[0]);
                }
                r.put("owasp2017Count", ChartUtil.column(owaspList2, false, false, BUG_TYPE_COLOS, "漏洞数", 650, 300));
                chartKeys.add("owasp2017Count");
                r.put("owasp2017List", this.reportMapper.owasp2017Count(id));
            }
        }
        if (chktypeList.contains("5")) {
            r.put("securityTrends", ChartUtil.line(this.reportMapper.webTrend(id), BUG_TYPE_COLOS, "漏洞数", 700, 350));
            chartKeys.add("securityTrends");
        }
        if (chktypeList.contains("6") || chktypeList.contains("7") || chktypeList.contains("9") || chktypeList.contains("10")) {
            List<Map<String, Object>> bTypeList = this.reportMapper.bugTypeDetail(id);
            List<Map<String, Object>> bugTypes = new ArrayList<>();
            for (Map<String, Object> btype : bTypeList) {
                if (chktypeList.contains("6.2.1") && "high".equalsIgnoreCase(ObjectUtil.getString(btype.get("level"), ""))) {
                    bugTypes.add(btype);
                } else if (chktypeList.contains("6.2.2") && "medium".equalsIgnoreCase(ObjectUtil.getString(btype.get("level"), ""))) {
                    bugTypes.add(btype);
                } else if (chktypeList.contains("6.2.3") && "low".equalsIgnoreCase(ObjectUtil.getString(btype.get("level"), ""))) {
                    bugTypes.add(btype);
                } else if (chktypeList.contains("6.2.4") && "info".equalsIgnoreCase(ObjectUtil.getString(btype.get("level"), ""))) {
                    bugTypes.add(btype);
                } else if (chktypeList.contains("6.3") && "Hiddenlink".equalsIgnoreCase(ObjectUtil.getString(btype.get("id"), ""))) {
                    bugTypes.add(btype);
                } else if (chktypeList.contains("6.4") && "FishingInspection".equalsIgnoreCase(ObjectUtil.getString(btype.get("id"), ""))) {
                    bugTypes.add(btype);
                } else if (chktypeList.contains("6.5") && "KeyWords".equalsIgnoreCase(ObjectUtil.getString(btype.get("id"), ""))) {
                    bugTypes.add(btype);
                }
            }
            r.put("bugTypes", bugTypes);
            Properties oem = (Properties) InitSystemTask.servletContext.getAttribute("oem");
            String sysname = oem.getProperty("sysname", "");
            if (!"漏洞扫描工具".equals(sysname)) {
                r.put("webNewBugMap", EntryResult.parseEntry(this.reportMapper.webNewBugList(id), "id", "name"));
            }
            List<Map<String, Object>> tampers = this.reportMapper.getTamperByTaskId(id);
            List<Map<String, Object>> tamperInfo = new ArrayList<>();
            for (Map<String, Object> tamper : tampers) {
                Map<String, Object> map = new HashMap<>();
                map.put("url", ObjectUtil.getString(tamper.get("url"), ""));
                map.put("type", ObjectUtil.getString(tamper.get("type"), ""));
                tamperInfo.add(map);
            }
            if (chktypeList.contains("6.1")) {
                r.put("getTamperInfo", tamperInfo);
            }
            r.put("getAvailInfo", this.reportMapper.getAvailByDevid(id));
            r.put("getNoAccessByDevid", this.reportMapper.getNoAccessByDevid(id));
            r.put("getWebBug", EntryResult.parseEntryListMap(setDatagram(this.reportMapper.getWebBug(id), chktypeList, 0), "name"));
            Map<String, Object> bugStaus = new HashMap<>();
            bugStaus.put(REPORT_STATE_READY, "未标记");
            bugStaus.put(REPORT_STATE_SUCCESS, "已修复");
            bugStaus.put(REPORT_STATE_FAILED, "已确认");
            r.put("bugStaus", bugStaus);
            Map<String, Object> dev2 = this.reportMapper.getDevById(id);
            if (ObjectUtil.getInt(dev2.get("scanCount"), 1) != 1) {
                r.put("getWebBug2", EntryResult.parseEntryListMap(setDatagram(this.reportMapper.getWebBug2(id), chktypeList, 1), "name"));
                r.put("webRecoveredList", this.reportMapper.webRecoveredList(id));
            }
            r.put("policesConfig", EntryResult.parseEntryMap(this.webPoliciesMapper.getAllPolicies(), "id"));
        }
        return r;
    }

    private String htmlToImg(String content) {
        File htmlFile;
        File imgFile = new File(Constant.TEMP_DIR, String.valueOf(System.nanoTime()) + ".png");
        if (imgFile == null || !imgFile.exists() || (htmlFile = new File(Constant.TEMP_DIR, String.valueOf(System.nanoTime()) + ".html")) == null || !imgFile.exists()) {
            return "";
        }
        File screenshotFile = new File(Constant.CONF_DIR, "screenshot.js");
        try {
            FileUtils.writeStringToFile(htmlFile, content, "utf8");
            Process process = Runtime.getRuntime().exec(String.valueOf("/opt/engine/webmonitor/webscan/worker/tools/casperjs/bin/phantomjs") + " " + screenshotFile.getAbsolutePath() + " file://" + htmlFile.getAbsolutePath() + " " + imgFile.getAbsolutePath());
            InputStream inputStream = process.getInputStream();
            BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream, "UTF8"));
            if (reader.readLine() == null) {
                return null;
            }
            if (reader != null) {
                reader.close();
            }
            if (process != null) {
                process.destroy();
            }
            this.LOG.error("img_base64: " + new BASE64Encoder().encode(FileUtils.readFileToByteArray(imgFile)));
            return new BASE64Encoder().encode(FileUtils.readFileToByteArray(imgFile));
        } catch (Exception e) {
            this.LOG.error("", e);
            return null;
        } finally {
            imgFile.delete();
            htmlFile.delete();
        }
    }

    private List<Map<String, Object>> setDatagram(List<Map<String, Object>> list, List<String> chktypeList, int flag) throws Exception {
        if (chktypeList.contains("6.6") || chktypeList.contains("6.7")) {
            for (Map<String, Object> map : list) {
                map.put("value", ObjectUtil.stripNonCharCodepoints(ObjectUtil.getString(map.get("value"), "")));
                if (chktypeList.contains("6.6")) {
                    try {
                        String rawDataPath = ObjectUtil.getString(map.get("rawDataPath"), "");
                        if (StringUtils.isNotBlank(rawDataPath)) {
                            String rawData = FileUtils.readFileToString(new File(Constant.WEB_SCAN_BUG, String.valueOf(flag == 1 ? "oldbug" : "") + rawDataPath), "UTF-8");
                            if (StringUtils.isNotBlank(rawData)) {
                                map.put("rawData", ObjectUtil.stripNonCharCodepoints(new String(SecretUtil.base64Decoder(rawData), "utf-8")));
                            }
                        }
                    } catch (Exception e) {
                        this.LOG.error(e);
                    }
                }
                if (chktypeList.contains("6.7")) {
                    String testDataPath = ObjectUtil.getString(map.get("testDataPath"), "");
                    if (StringUtils.isNotBlank(testDataPath)) {
                        File f = new File(Constant.WEB_SCAN_BUG, String.valueOf(flag == 1 ? "oldbug" : "") + testDataPath);
                        if (f != null && f.exists()) {
                            String testData = FileUtils.readFileToString(f, "UTF-8");
                            if (StringUtils.isNotBlank(testData)) {
                                map.put("testData", ObjectUtil.stripNonCharCodepoints(new String(SecretUtil.base64Decoder(testData), "utf-8")));
                                String name = ObjectUtil.getString(map.get("name"), "");
                                if ("XSS".equalsIgnoreCase(name) || "LinkInjection".equalsIgnoreCase(name)) {
                                    try {
                                        byte[] testbyte = SecretUtil.base64Decoder(testData);
                                        byte[] testreqhead = readD(testbyte, 0);
                                        int testoffset = 0 + testreqhead.length + 4;
                                        byte[] testreqbody = readD(testbyte, testoffset);
                                        int testoffset2 = testoffset + testreqbody.length + 4;
                                        byte[] testreshead = readD(testbyte, testoffset2);
                                        int testoffset3 = testoffset2 + testreshead.length + 4;
                                        byte[] testresbody = new byte[testbyte.length - testoffset3];
                                        System.arraycopy(testbyte, testoffset3, testresbody, 0, testbyte.length - testoffset3);
                                        String htmlToImgStr = htmlToImg(new String(testresbody, "utf-8"));
                                        if (StringUtils.isNotBlank(htmlToImgStr)) {
                                            map.put("testResBodyImg", htmlToImgStr);
                                        }
                                    } catch (Exception e2) {
                                        this.LOG.error("网站截图转换失败", e2);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        return list;
    }

    private byte[] readD(byte[] bs, int offset) {
        for (int i = offset; i < bs.length; i++) {
            if (i + 3 >= bs.length) {
                byte[] result = new byte[bs.length - offset];
                System.arraycopy(bs, offset, result, 0, result.length);
                return result;
            }
            if (((char) bs[i]) == '\r' && ((char) bs[i + 1]) == '\n' && ((char) bs[i + 2]) == '\r' && ((char) bs[i + 3]) == '\n') {
                byte[] result2 = new byte[i - offset];
                System.arraycopy(bs, offset, result2, 0, result2.length);
                return result2;
            }
        }
        return null;
    }

    public Map<String, Object> getDlpscanReport(Integer id, String chktype) throws Exception {
        List<String> chktypeList = Arrays.asList(chktype.split(","));
        Map<String, Object> r = new HashMap<>();
        r.put("chktype", chktypeList);
        r.put("dlpscan", this.reportMapper.dlpscanDev(id));
        Task task = this.taskBaseMapper.getTaskBydevId(id);
        r.put("dlpType", task.getSysId());
        if (chktypeList.contains(REPORT_STATE_SUCCESS)) {
            r.put("currdate", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
            r.put("summarize", this.reportMapper.dlpscanScore(id));
        }
        if (chktypeList.contains("3")) {
            List<String> chartKeys = new ArrayList<>();
            r.put("chartKeys", chartKeys);
            if (chktypeList.contains("3.1")) {
                r.put("dlpscanPie", ChartUtil.pie(EntryResult.parseEntry(this.reportMapper.dlpscanDistribute(id), "name", "y"), (Map) null, 400, 400));
                chartKeys.add("dlpscanPie");
            }
            if (chktypeList.contains("3.2")) {
                r.put("dlpscanTrends", ChartUtil.column(this.reportMapper.dlpscanTrend(id), false, false, (Color[]) null, "弱点数（个）", 700, 300));
                chartKeys.add("dlpscanTrends");
            }
            if (chktypeList.contains("3.3")) {
                if (task.getSysId().intValue() == 0) {
                    r.put("dlpscanList", this.reportMapper.dlpscanList(id));
                } else {
                    List<Map<String, Object>> dlpList = this.reportMapper.dlpscanList(id);
                    for (Map<String, Object> map : dlpList) {
                        map.put("pattern", ObjectUtil.stripNonCharCodepoints(ObjectUtil.getString(map.get("pattern"), "")));
                    }
                    r.put("dlpscanList", dlpList);
                }
            }
        }
        return r;
    }

    public File exportSummary(Integer taskid, String name, String type, String chktype, String reportType, String headerLogo, String headerText, String footerText) throws Exception {
        String path;
        File destFile;
        String logoBase64;
        byte[] result;
        String logoBase642;
        OutputStream os;
        String url;
        byte[] result2;
        String url2;
        File tempDir = new File(Constant.TEMP_DIR, new StringBuilder(String.valueOf(System.nanoTime())).toString());
        if (!tempDir.isDirectory()) {
            tempDir.mkdirs();
        }
        Map<String, Object> previewData = null;
        if ("sys".equals(reportType)) {
            previewData = getSysReportSummary(taskid, chktype, 1);
        } else if ("bline".equals(reportType)) {
            previewData = getBlineReportSummary(taskid, chktype, 1);
        } else if ("pwd".equals(reportType)) {
            previewData = getPwdReportSummary(taskid, chktype, 1);
        } else if ("db".equals(reportType)) {
            previewData = getDbReportSummary(taskid, chktype, 1);
        } else if ("web".equals(reportType)) {
            previewData = getWebReportSummary(taskid, chktype, 1);
        } else if ("horse".equals(reportType)) {
            previewData = getHorseReportSummary(taskid, chktype, 1);
        } else if ("mali".equals(reportType)) {
            previewData = getMaliReportSummary(taskid, chktype, 1);
        } else if ("dlpscan".equals(reportType)) {
            previewData = getDlpscanReportSummary(taskid, chktype, 1);
        } else if ("hostscan".equals(reportType)) {
            previewData = getHostscanReportSummary(taskid, chktype);
        } else if ("webkey".equals(reportType)) {
            int keyHandler = 0;
            if (type.equalsIgnoreCase("html") || type.equalsIgnoreCase("pdf")) {
                keyHandler = 1;
            } else if (type.equalsIgnoreCase("doc")) {
                keyHandler = 2;
            }
            previewData = getWebkeyReport(taskid, chktype, keyHandler);
        }
        if (type.equalsIgnoreCase("xml")) {
            path = String.valueOf(System.nanoTime()) + ".xml";
            destFile = new File(tempDir, path);
            destFile.createNewFile();
            os = null;
            try {
                os = new FileOutputStream(destFile);
                if ("sys".equals(reportType)) {
                    url2 = "/report/sys-templ/summary.xml";
                } else if ("bline".equals(reportType)) {
                    url2 = "/report/bline-templ/summary.xml";
                } else if ("pwd".equals(reportType)) {
                    url2 = "/report/pwd-templ/summary.xml";
                } else if ("db".equals(reportType)) {
                    url2 = "/report/db-templ/summary.xml";
                } else if ("synt".equals(reportType)) {
                    url2 = "/report/synt-templ/summary.xml";
                } else if ("web".equals(reportType)) {
                    url2 = "/report/web-templ/summary.xml";
                } else if ("grade".equals(reportType)) {
                    url2 = "/report/grade-templ/summary.xml";
                } else if ("horse".equals(reportType)) {
                    url2 = "/report/horse-templ/summary.xml";
                } else if ("mali".equals(reportType)) {
                    url2 = "/report/mali-templ/summary.xml";
                } else if ("dlpscan".equals(reportType)) {
                    url2 = "/report/dlpscan-templ/summary.xml";
                } else if ("hostscan".equals(reportType)) {
                    url2 = "/report/hostscan-templ/summary.xml";
                } else {
                    throw new UEException("不支持的类型");
                }
                FreemarkUtil.out(previewData, os, url2, InitSystemTask.servletContext);
            } finally {
            }
        } else if (type.equalsIgnoreCase("doc")) {
            List<?> keys = (List) previewData.get("chartKeys");
            if (keys != null) {
                for (Object keyObj : keys) {
                    String key = String.valueOf(keyObj);
                    if (previewData.get(key) instanceof Map) {
                        Map<String, Object> dataMap = (Map) previewData.get(key);
                        for (Map.Entry<String, Object> e : dataMap.entrySet()) {
                            byte[] chartBuf = (byte[]) e.getValue();
                            if (chartBuf != null) {
                                dataMap.put(e.getKey(), new BASE64Encoder().encode(chartBuf));
                            }
                        }
                        previewData.put(key, dataMap);
                    } else {
                        byte[] chartBuf2 = (byte[]) previewData.get(key);
                        if (chartBuf2 != null) {
                            previewData.put(key, new BASE64Encoder().encode(chartBuf2));
                        }
                    }
                }
            }
            if (StringUtils.isBlank(headerLogo)) {
                File logo = new File(Constant.WORK_DIR, "resource/doc-logo.png");
                byte[] content = FileUtils.readFileToByteArray(logo);
                try {
                    result2 = SecretUtil.decryptEncrypt("aes", content, "anshuyun123SEF@#".getBytes());
                } catch (Exception e2) {
                    result2 = content;
                }
                logoBase642 = new BASE64Encoder().encode(result2);
            } else {
                logoBase642 = headerLogo.substring("data:image/jpeg;base64,".length());
            }
            Properties oem = (Properties) InitSystemTask.servletContext.getAttribute("oem");
            previewData.put("headerLogo", logoBase642);
            previewData.put("headerText", ObjectUtil.getString(headerText, oem.getProperty("copyright")));
            previewData.put("footerUrl", ObjectUtil.getString(footerText, oem.getProperty("copyright-url")));
            path = String.valueOf(System.nanoTime()) + ".doc";
            destFile = new File(tempDir, path);
            destFile.createNewFile();
            os = null;
            try {
                OutputStream os2 = new FileOutputStream(destFile);
                String sysname = oem.getProperty("sysname", "");
                if ("sys".equals(reportType)) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/sys-templ/sbr-doc-summary.xml";
                    } else {
                        url = "/report/sys-templ/doc-summary.xml";
                    }
                } else if ("bline".equals(reportType)) {
                    url = "/report/bline-templ/doc-summary.xml";
                } else if ("pwd".equals(reportType)) {
                    url = "/report/pwd-templ/doc-summary.xml";
                } else if ("db".equals(reportType)) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/db-templ/sbr-doc-summary.xml";
                    } else {
                        url = "/report/db-templ/doc-summary.xml";
                    }
                } else if ("synt".equals(reportType)) {
                    url = "/report/synt-templ/doc.xml";
                } else if ("web".equals(reportType)) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/web-templ/sbr-doc-summary.xml";
                    } else {
                        url = "/report/web-templ/doc-summary.xml";
                    }
                } else if ("webkey".equals(reportType)) {
                    url = "/report/web-templ/doc-key.xml";
                } else if ("grade".equals(reportType)) {
                    url = "/report/grade-templ/doc.xml";
                } else if ("horse".equals(reportType)) {
                    url = "/report/horse-templ/doc-summary.xml";
                } else if ("mali".equals(reportType)) {
                    url = "/report/mali-templ/doc-summary.xml";
                } else if ("dlpscan".equals(reportType)) {
                    url = "/report/dlpscan-templ/doc-summary.xml";
                } else if ("hostscan".equals(reportType)) {
                    url = "/report/hostscan-templ/doc-summary.xml";
                } else if ("trend".equals(reportType)) {
                    url = "/report/trend-templ/doc.xml";
                } else if ("stuation".equals(reportType)) {
                    url = "/report/stuation-templ/doc.xml";
                } else {
                    throw new UEException("不支持的类型");
                }
                FreemarkUtil.out(previewData, os2, url, InitSystemTask.servletContext);
                IOUtils.closeQuietly(os2);
            } finally {
            }
        } else if (type.equalsIgnoreCase("html")) {
            if (StringUtils.isBlank(headerLogo)) {
                File logo2 = new File(Constant.WORK_DIR, "resource/doc-logo.png");
                byte[] content2 = FileUtils.readFileToByteArray(logo2);
                try {
                    result = SecretUtil.decryptEncrypt("aes", content2, "anshuyun123SEF@#".getBytes());
                } catch (Exception e3) {
                    result = content2;
                }
                logoBase64 = "data:image/jpeg;base64," + new BASE64Encoder().encode(result);
            } else {
                logoBase64 = headerLogo;
            }
            previewData.put("headerLogo", logoBase64);
            File htmlDir = createHtml(previewData, reportType, String.valueOf(name) + ".html", 1).getParentFile();
            path = String.valueOf(System.nanoTime()) + ".zip";
            destFile = new File(tempDir, path);
            ZipUtil.toZip(destFile, htmlDir.listFiles(), (String) null);
            FileUtils.deleteDirectory(htmlDir);
        } else if (type.equalsIgnoreCase("pdf")) {
            File htmlFile = createHtml(previewData, reportType, "index.html", 1);
            File resDir = new File(htmlFile.getParentFile(), "res");
            path = String.valueOf(System.nanoTime()) + ".pdf";
            destFile = new File(tempDir, path);
            PdfUtil.htmlToPdf(htmlFile, resDir, destFile);
        } else {
            throw new UEException("不支持指定的格式");
        }
        String name2 = StringUtils.replaceEach(name, new String[]{"http", "https"}, new String[]{"", ""});
        if (StringUtils.isNotBlank(name2)) {
            String str = String.valueOf(name2) + "汇总报告" + (path.contains(".") ? path.substring(path.lastIndexOf(".")) : "");
        }
        File expFile = new File(Constant.REPORT_LIST, destFile.getName());
        FileUtils.copyFile(destFile, expFile);
        FileUtils.deleteDirectory(tempDir);
        return expFile;
    }

    public String export(String idStr, String name, String type, String chktype, String reportType, String headerLogo, String headerText, String footerText, String startTime, String endTime, String ips) throws Exception {
        String path;
        File destFile;
        String logoBase64;
        String pageName;
        byte[] result;
        String url;
        String logoBase642;
        String url2;
        byte[] result2;
        String url3;
        String[] ids = StringUtils.isBlank(idStr) ? new String[]{""} : idStr.split(",");
        List<File> files = new ArrayList<>();
        List<String> newNames = new ArrayList<>();
        File tempDir = new File(Constant.TEMP_DIR, new StringBuilder(String.valueOf(System.nanoTime())).toString());
        if (!tempDir.isDirectory()) {
            tempDir.mkdirs();
        }
        for (String id : ids) {
            Map<String, Object> dev = this.taskBaseMapper.getTaskDevById(ObjectUtil.getInt(id));
            if (!MapUtils.isNotEmpty(dev) || IPUtil.ipVaild(ObjectUtil.getString(dev.get("ip"), ""), ips)) {
                if (reportType.equalsIgnoreCase("hostscan")) {
                    Task taskDev = this.taskBaseMapper.getTaskBydevId(ObjectUtil.getInt(id));
                    reportType = (String) REPORT_TASK.get(taskDev.getTaskType());
                    chktype = (String) REPORT_CHK.get(REPORT_TASK.get(taskDev.getTaskType()));
                }
                Map<String, Object> previewData = null;
                if (type.equalsIgnoreCase("xml")) {
                    if ("sys".equals(reportType)) {
                        chktype = (String) REPORT_CHK.get("sys");
                    } else if ("pwd".equals(reportType)) {
                        chktype = "1,2,3,3.1,3.2,3.3";
                    } else if ("db".equals(reportType)) {
                        chktype = "1,2,3,3.1,3.2,3.3,4,5,7";
                    } else if ("web".equals(reportType)) {
                        chktype = "2,3,4,5,6,6.1,6.2,6.2.1,6.2.2,6.2.3,6.2.4,6.3,6.4,6.5";
                    } else if ("horse".equals(reportType)) {
                        chktype = "1,2,3";
                    } else if ("mali".equals(reportType)) {
                        chktype = "1,2,3";
                    } else if ("dlpscan".equals(reportType)) {
                        chktype = "1,2,3,3.1,3.2,3.3";
                    }
                }
                if ("sys".equals(reportType)) {
                    if (type.equalsIgnoreCase("xls")) {
                        previewData = getSysReportXls(ObjectUtil.getInt(id), chktype);
                    } else {
                        previewData = getSysReport(ObjectUtil.getInt(id), chktype);
                    }
                } else if ("bline".equals(reportType)) {
                    if (type.equalsIgnoreCase("xls")) {
                        previewData = getBlineReportXls(ObjectUtil.getInt(id), chktype);
                    } else {
                        previewData = getBlineReport(ObjectUtil.getInt(id), chktype);
                    }
                } else if ("pwd".equals(reportType)) {
                    previewData = getPwdReport(ObjectUtil.getInt(id), chktype);
                } else if ("db".equals(reportType)) {
                    if (type.equalsIgnoreCase("xls")) {
                        previewData = getDbReportXls(ObjectUtil.getInt(id), chktype);
                    } else {
                        previewData = getDbReport(ObjectUtil.getInt(id), chktype);
                    }
                } else if ("web".equals(reportType)) {
                    if (type.equalsIgnoreCase("xls")) {
                        previewData = getWebReportXls(ObjectUtil.getInt(id), chktype);
                    } else {
                        previewData = getWebReport(ObjectUtil.getInt(id), chktype);
                    }
                } else if ("webkey".equals(reportType)) {
                    int keyHandler = 0;
                    if (type.equalsIgnoreCase("html") || type.equalsIgnoreCase("pdf")) {
                        keyHandler = 1;
                    } else if (type.equalsIgnoreCase("doc")) {
                        keyHandler = 2;
                    }
                    previewData = getWebkeyReport(ObjectUtil.getInt(id), chktype, keyHandler);
                } else if ("synt".equals(reportType)) {
                    previewData = getSyntReport(idStr, chktype);
                } else if ("grade".equals(reportType)) {
                    previewData = getGradeReport(id, chktype);
                } else if ("grade2".equals(reportType)) {
                    previewData = getGrade2Report(id, chktype);
                } else if ("grade-hydw".equals(reportType)) {
                    previewData = getGradeHydwReport(id);
                } else if ("grade-custom".equals(reportType)) {
                    previewData = getGradeCustomReport(id);
                } else if ("horse".equals(reportType)) {
                    previewData = getHorseReport(ObjectUtil.getInt(id), chktype);
                } else if ("mali".equals(reportType)) {
                    previewData = getMaliReport(ObjectUtil.getInt(id), chktype);
                } else if ("dlpscan".equals(reportType)) {
                    previewData = getDlpscanReport(ObjectUtil.getInt(id), chktype);
                } else if ("trend".equals(reportType)) {
                    previewData = getTrendReport(chktype);
                } else if ("stuation".equals(reportType)) {
                    previewData = getStuationReport(chktype, startTime, endTime);
                }
                if (type.equalsIgnoreCase("xml")) {
                    path = String.valueOf(System.nanoTime()) + ".xml";
                    destFile = new File(tempDir, path);
                    destFile.createNewFile();
                    OutputStream os = null;
                    try {
                        os = new FileOutputStream(destFile);
                        if ("sys".equals(reportType)) {
                            url3 = "/report/sys-templ/xml.xml";
                        } else if ("bline".equals(reportType)) {
                            url3 = "/report/bline-templ/xml.xml";
                        } else if ("pwd".equals(reportType)) {
                            url3 = "/report/pwd-templ/xml.xml";
                        } else if ("db".equals(reportType)) {
                            url3 = "/report/db-templ/xml.xml";
                        } else if ("synt".equals(reportType)) {
                            url3 = "/report/synt-templ/xml.xml";
                        } else if ("web".equals(reportType)) {
                            url3 = "/report/web-templ/xml.xml";
                        } else if ("grade".equals(reportType)) {
                            url3 = "/report/grade-templ/xml.xml";
                        } else if ("horse".equals(reportType)) {
                            url3 = "/report/horse-templ/xml.xml";
                        } else if ("mali".equals(reportType)) {
                            url3 = "/report/mali-templ/xml.xml";
                        } else if ("dlpscan".equals(reportType)) {
                            url3 = "/report/dlpscan-templ/xml.xml";
                        } else {
                            throw new UEException("不支持的类型");
                        }
                        FreemarkUtil.out(previewData, os, url3, InitSystemTask.servletContext);
                        IOUtils.closeQuietly(os);
                    } finally {
                    }
                } else if (type.equalsIgnoreCase("doc")) {
                    List<?> keys = (List) previewData.get("chartKeys");
                    if (keys != null) {
                        for (Object keyObj : keys) {
                            String key = String.valueOf(keyObj);
                            if (previewData.get(key) instanceof Map) {
                                Map<String, Object> dataMap = (Map) previewData.get(key);
                                for (Map.Entry<String, Object> e : dataMap.entrySet()) {
                                    byte[] chartBuf = (byte[]) e.getValue();
                                    if (chartBuf != null) {
                                        dataMap.put(e.getKey(), new BASE64Encoder().encode(chartBuf));
                                    }
                                }
                                previewData.put(key, dataMap);
                            } else {
                                byte[] chartBuf2 = (byte[]) previewData.get(key);
                                if (chartBuf2 != null) {
                                    previewData.put(key, new BASE64Encoder().encode(chartBuf2));
                                }
                            }
                        }
                    }
                    if (StringUtils.isBlank(headerLogo)) {
                        File logo = new File(Constant.WORK_DIR, "resource/doc-logo.png");
                        byte[] content = FileUtils.readFileToByteArray(logo);
                        try {
                            result2 = SecretUtil.decryptEncrypt("aes", content, "anshuyun123SEF@#".getBytes());
                        } catch (Exception e2) {
                            result2 = content;
                        }
                        logoBase642 = new BASE64Encoder().encode(result2);
                    } else {
                        logoBase642 = headerLogo.substring("data:image/jpeg;base64,".length());
                    }
                    Properties oem = (Properties) InitSystemTask.servletContext.getAttribute("oem");
                    previewData.put("headerLogo", logoBase642);
                    previewData.put("headerText", ObjectUtil.getString(headerText, oem.getProperty("copyright")));
                    previewData.put("footerUrl", ObjectUtil.getString(footerText, oem.getProperty("copyright-url")));
                    path = String.valueOf(System.nanoTime()) + ".doc";
                    destFile = new File(tempDir, path);
                    destFile.createNewFile();
                    OutputStream os2 = null;
                    try {
                        os2 = new FileOutputStream(destFile);
                        String sysname = oem.getProperty("sysname", "");
                        if ("sys".equals(reportType)) {
                            if ("漏洞扫描工具".equals(sysname)) {
                                url2 = "/report/sys-templ/sbr-doc.xml";
                            } else {
                                url2 = "/report/sys-templ/doc.xml";
                            }
                        } else if ("bline".equals(reportType)) {
                            url2 = "/report/bline-templ/doc.xml";
                        } else if ("pwd".equals(reportType)) {
                            url2 = "/report/pwd-templ/doc.xml";
                        } else if ("db".equals(reportType)) {
                            if ("漏洞扫描工具".equals(sysname)) {
                                url2 = "/report/db-templ/sbr-doc.xml";
                            } else {
                                url2 = "/report/db-templ/doc.xml";
                            }
                        } else if ("synt".equals(reportType)) {
                            url2 = "/report/synt-templ/doc.xml";
                        } else if ("web".equals(reportType)) {
                            if ("漏洞扫描工具".equals(sysname)) {
                                url2 = "/report/web-templ/sbr-doc.xml";
                            } else {
                                url2 = "/report/web-templ/doc.xml";
                            }
                        } else if ("webkey".equals(reportType)) {
                            url2 = "/report/web-templ/doc-key.xml";
                        } else if ("grade".equals(reportType)) {
                            url2 = "/report/grade-templ/doc.xml";
                        } else if ("grade2".equals(reportType)) {
                            url2 = "/report/grade-templ/doc2.xml";
                        } else if ("grade-hydw".equals(reportType)) {
                            url2 = "/report/grade-templ/doc-hydw.xml";
                        } else if ("grade-custom".equals(reportType)) {
                            url2 = "/report/grade-templ/doc-custom.xml";
                        } else if ("horse".equals(reportType)) {
                            url2 = "/report/horse-templ/doc.xml";
                        } else if ("mali".equals(reportType)) {
                            url2 = "/report/mali-templ/doc.xml";
                        } else if ("dlpscan".equals(reportType)) {
                            url2 = "/report/dlpscan-templ/doc.xml";
                        } else if ("trend".equals(reportType)) {
                            url2 = "/report/trend-templ/doc.xml";
                        } else if ("stuation".equals(reportType)) {
                            url2 = "/report/stuation-templ/doc.xml";
                        } else {
                            throw new UEException("不支持的类型");
                        }
                        FreemarkUtil.out(previewData, os2, url2, InitSystemTask.servletContext);
                        IOUtils.closeQuietly(os2);
                    } finally {
                    }
                } else if (type.equalsIgnoreCase("xls")) {
                    path = String.valueOf(System.nanoTime()) + ".xls";
                    destFile = new File(tempDir, path);
                    destFile.createNewFile();
                    OutputStream os3 = null;
                    try {
                        os3 = new FileOutputStream(destFile);
                        if ("sys".equals(reportType)) {
                            url = "/report/sys-templ/xls.xml";
                        } else if ("bline".equals(reportType)) {
                            url = "/report/bline-templ/xls.xml";
                        } else if ("pwd".equals(reportType)) {
                            url = "/report/pwd-templ/xls.xml";
                        } else if ("db".equals(reportType)) {
                            url = "/report/db-templ/xls.xml";
                        } else if ("synt".equals(reportType)) {
                            url = "/report/synt-templ/xls.xml";
                        } else if ("web".equals(reportType)) {
                            url = "/report/web-templ/xls.xml";
                        } else if ("grade".equals(reportType)) {
                            url = "/report/grade-templ/xls.xml";
                        } else if ("horse".equals(reportType)) {
                            url = "/report/horse-templ/xls.xml";
                        } else if ("mali".equals(reportType)) {
                            url = "/report/mali-templ/xls.xml";
                        } else if ("dlpscan".equals(reportType)) {
                            url = "/report/dlpscan-templ/xls.xml";
                        } else if ("trend".equals(reportType)) {
                            url = "/report/trend-templ/xls.xml";
                        } else if ("stuation".equals(reportType)) {
                            url = "/report/stuation-templ/xls.xml";
                        } else {
                            throw new UEException("不支持的类型");
                        }
                        FreemarkUtil.out(previewData, os3, url, InitSystemTask.servletContext);
                        IOUtils.closeQuietly(os3);
                    } finally {
                    }
                } else if (type.equalsIgnoreCase("html")) {
                    if (StringUtils.isBlank(headerLogo)) {
                        File logo2 = new File(Constant.WORK_DIR, "resource/doc-logo.png");
                        byte[] content2 = FileUtils.readFileToByteArray(logo2);
                        try {
                            result = SecretUtil.decryptEncrypt("aes", content2, "anshuyun123SEF@#".getBytes());
                        } catch (Exception e3) {
                            result = content2;
                        }
                        logoBase64 = "data:image/jpeg;base64," + new BASE64Encoder().encode(result);
                    } else {
                        logoBase64 = headerLogo;
                    }
                    previewData.put("headerLogo", logoBase64);
                    if ("synt".equals(reportType) || "grade".equals(reportType) || "grade2".equals(reportType) || "grade-hydw".equals(reportType) || "grade-custom".equals(reportType) || "trend".equals(reportType) || "stuation".equals(reportType) || "webkey".equals(reportType)) {
                        File htmlFile = createHtml(previewData, reportType, String.valueOf(name) + ".html", 0);
                        File htmlDir = htmlFile.getParentFile();
                        path = String.valueOf(System.nanoTime()) + ".zip";
                        destFile = new File(tempDir, path);
                        ZipUtil.toZip(destFile, htmlDir.listFiles(), (String) null);
                        FileUtils.deleteDirectory(htmlDir);
                    } else {
                        Map<String, Object> devInfo = this.reportMapper.getDevById(ObjectUtil.getInt(id));
                        if ("web".equals(reportType)) {
                            pageName = ObjectUtil.getString(devInfo.get("name"), (String) null).replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?)", "").replace(":", "-");
                        } else {
                            pageName = ObjectUtil.getString(devInfo.get("name"), (String) null).replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "");
                        }
                        File htmlFile2 = createHtml(previewData, reportType, String.valueOf(pageName) + ".html", 0);
                        destFile = htmlFile2.getParentFile();
                        path = new StringBuilder(String.valueOf(System.nanoTime())).toString();
                    }
                } else if (type.equalsIgnoreCase("pdf")) {
                    File pdfFile = createHtml(previewData, reportType, "index.html", 0);
                    File pdfDir = pdfFile.getParentFile();
                    File resDir = new File(pdfDir, "res");
                    path = String.valueOf(System.nanoTime()) + ".pdf";
                    destFile = new File(tempDir, path);
                    PdfUtil.htmlToPdf(pdfFile, resDir, destFile);
                } else {
                    throw new UEException("不支持指定的格式");
                }
                if ("synt".equals(reportType) || "grade".equals(reportType) || "grade2".equals(reportType) || "grade-hydw".equals(reportType) || "trend".equals(reportType) || "stuation".equals(reportType)) {
                    newNames.add(String.valueOf(reportType) + path.substring(path.lastIndexOf(".")));
                } else {
                    String newName = new StringBuilder(String.valueOf(System.nanoTime())).toString();
                    Map<String, Object> devInfo2 = this.reportMapper.getDevById(ObjectUtil.getInt(id));
                    if (MapUtils.isNotEmpty(devInfo2)) {
                        newName = ObjectUtil.getString(devInfo2.get("ip"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "");
                    }
                    if ("hostscan".equals(reportType)) {
                        if ("web".equals(reportType)) {
                            newName = ObjectUtil.getString(devInfo2.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?)", "").replace(":", "-");
                        } else {
                            newName = ObjectUtil.getString(devInfo2.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "");
                        }
                    } else if ("db".equals(reportType) || "bline".equals(reportType)) {
                        newName = ObjectUtil.getString(devInfo2.get("name"), "");
                    } else if ("web".equals(reportType)) {
                        String conf = ObjectUtil.getString(devInfo2.get("confContent"), "");
                        if (StringUtils.isNotBlank(conf)) {
                            Map<String, Object> confContent = (Map) JsonUtil.MAPPER_ESCAPE_HTML.readValue(conf, Map.class);
                            newName = ObjectUtil.getString(confContent.get("url"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?)", "").replace(":", "-");
                        } else {
                            newName = ObjectUtil.getString(devInfo2.get("ip"), "");
                        }
                    }
                    if (StringUtils.isNotBlank(newName)) {
                        newName = String.valueOf(newName) + (path.contains(".") ? path.substring(path.lastIndexOf(".")) : "");
                    }
                    newNames.add(newName);
                }
                files.add(destFile);
                if ("synt".equals(reportType) || "grade".equals(reportType) || "trend".equals(reportType) || "stuation".equals(reportType) || "webkey".equals(reportType)) {
                    break;
                }
            }
        }
        if (!"webkey".equals(reportType) && !"synt".equals(reportType) && !"grade".equals(reportType) && !"grade2".equals(reportType) && !"grade-hydw".equals(reportType) && !"grade-custom".equals(reportType) && !"trend".equals(reportType) && !"stuation".equals(reportType) && !type.equalsIgnoreCase("xls")) {
            Task task = this.taskBaseMapper.getTaskBydevId(ObjectUtil.getInt(ids[0]));
            task.setName(String.valueOf(task.getName().replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "")) + "_" + new SimpleDateFormat("yyyyMMdd_HHmmss").format(new Date()));
            if (type.equalsIgnoreCase("html")) {
                File htmlZip = new File(tempDir, new StringBuilder(String.valueOf(System.nanoTime())).toString());
                ZipUtil.unZip(exportSummary(reportType.equalsIgnoreCase("hostscan") ? task.getHostId() : task.getId(), task.getName(), type, chktype, reportType, headerLogo, headerText, footerText), htmlZip, (String) null);
                files.addAll(Arrays.asList(htmlZip.listFiles()));
            } else {
                File tmpFile = exportSummary(reportType.equalsIgnoreCase("hostscan") ? task.getHostId() : task.getId(), task.getName(), type, chktype, reportType, headerLogo, headerText, footerText);
                File f = new File(tempDir, String.valueOf(name) + tmpFile.getName().substring(tmpFile.getName().lastIndexOf("."), tmpFile.getName().length()));
                FileUtils.copyFile(tmpFile, f);
                files.add(f);
            }
        }
        String curTime = new StringBuilder(String.valueOf(System.currentTimeMillis())).toString();
        if (files.size() <= 1) {
            this.reportMapper.insert(name, files.get(0).getName(), reportType, (Integer) null, REPORT_STATE_SUCCESS, curTime);
            FileUtils.copyFileToDirectory(files.get(0), Constant.REPORT_LIST);
            FileUtils.deleteDirectory(tempDir);
            return files.get(0).getName();
        }
        File zipFile = new File(Constant.REPORT_LIST, String.valueOf(System.nanoTime()) + ".zip");
        ZipUtil.toZip(zipFile, (File[]) files.toArray(new File[0]), (String[]) newNames.toArray(new String[0]), (String) null);
        this.reportMapper.insert(name, zipFile.getName(), reportType, (Integer) null, REPORT_STATE_SUCCESS, curTime);
        FileUtils.deleteDirectory(tempDir);
        return zipFile.getName();
    }

    public String exportCpxml(String idStr, String name, String reportType) throws Exception {
        Map<String, Object> previewData;
        String url;
        if (!idStr.matches("[0-9,]+")) {
            throw new UEException("参数错误");
        }
        File destFile = new File(Constant.TEMP_DIR, String.valueOf(System.nanoTime()) + ".xml");
        String[] ids = idStr.split(",");
        if ("sys".equals(reportType)) {
            previewData = getSysReportCpxml(ids);
            url = "/report/sys-templ/cpxml.xml";
        } else if ("db".equals(reportType)) {
            previewData = getDbReportCpxml(ids);
            url = "/report/db-templ/cpxml.xml";
        } else if ("web".equals(reportType)) {
            previewData = getWebReportCpxml(ids);
            url = "/report/web-templ/cpxml.xml";
        } else {
            throw new UEException("不支持的类型");
        }
        OutputStream os = null;
        try {
            os = new FileOutputStream(destFile);
            FreemarkUtil.out(previewData, os, url, InitSystemTask.servletContext);
            IOUtils.closeQuietly(os);
            String curTime = new StringBuilder(String.valueOf(System.currentTimeMillis())).toString();
            this.reportMapper.insert(name, destFile.getName(), reportType, (Integer) null, REPORT_STATE_SUCCESS, curTime);
            FileUtils.copyFileToDirectory(destFile, Constant.REPORT_LIST);
            destFile.delete();
            return destFile.getName();
        } catch (Throwable th) {
            IOUtils.closeQuietly(os);
            throw th;
        }
    }

    public int searchCount(HttpSession session, String name, String type, String dateFrom, String dateTo) throws Exception {
        return this.reportMapper.searchCount(name, type, dateFrom, dateTo, DataRule.getRuleWhere(session, "t_reportlist"));
    }

    public List<Map<String, Object>> search(HttpSession session, String name, String type, String dateFrom, String dateTo, Integer offset, Integer limit) throws Exception {
        return this.reportMapper.search(name, type, dateFrom, dateTo, offset, limit, DataRule.getRuleWhere(session, "t_reportlist"));
    }

    public void delete(HttpSession session, Integer id) throws Exception {
        Map<String, Object> map = (Map) this.reportMapper.getReportListByIds(new Integer[]{id}).get(0);
        new File(Constant.REPORT_LIST, ObjectUtil.getString(map.get("onlyname"), "")).delete();
        this.reportMapper.delete(id, DataRule.getRuleWhere(session, "t_reportlist"));
    }

    public IReport.ExportInfo reportExp(String ids) throws Exception {
        IReport.ExportInfo info = new IReport.ExportInfo();
        String[] idarr = ids.split(",");
        Integer[] idint = new Integer[idarr.length];
        int len = idarr.length;
        for (int i = 0; i < len; i++) {
            idint[i] = Integer.valueOf(Integer.parseInt(idarr[i]));
        }
        List<Map<String, Object>> resultlist = this.reportMapper.getReportListByIds(idint);
        if (resultlist == null) {
            throw new UEException("无导出数据！");
        }
        if (resultlist.size() > 1) {
            ZipParameters parameters = new ZipParameters();
            parameters.setCompressionMethod(8);
            parameters.setCompressionLevel(5);
            parameters.setSourceExternalStream(true);
            Set<String> names = new HashSet<>();
            File destFile = new File(Constant.TEMP_DIR, String.valueOf(DateFormatUtils.format(new Date(), "yyyy年MM月dd日 HH时mm分ss秒")) + ".zip");
            ZipFile zipFile = new ZipFile(destFile);
            for (Map<String, Object> entry : resultlist) {
                String onlyname = ObjectUtil.getString(entry.get("onlyname"), "");
                String name = ObjectUtil.getString(entry.get("name"), "");
                File file = new File(Constant.REPORT_LIST, onlyname);
                String sufix = onlyname.substring(onlyname.lastIndexOf("."), onlyname.length());
                String zipInName = String.valueOf(name) + sufix;
                int i2 = 1;
                while (names.contains(zipInName)) {
                    zipInName = String.valueOf(name) + "(" + i2 + ")" + sufix;
                    i2++;
                }
                parameters.setFileNameInZip(zipInName);
                if (file.isFile()) {
                    zipFile.addFile(file, parameters);
                }
                names.add(zipInName);
            }
            info.setFile(destFile);
            info.setDownDel(true);
        } else {
            Map<String, Object> map = resultlist.get(0);
            String onlyName = ObjectUtil.getString(map.get("onlyname"), "");
            if ("".equals(onlyName)) {
                throw new UEException("找不到文件路径！");
            }
            info.setFile(new File(Constant.REPORT_LIST, onlyName));
            info.setName(ObjectUtil.getString(map.get("name"), onlyName));
        }
        return info;
    }

    public String setlogo(FileItem file) throws Exception {
        if (file.getSize() > 512000) {
            throw new UEException("图片大小不能大于0.5M");
        }
        File logoFile = SystemUtil.uploadFile(file, Constant.TEMP_DIR, (String) null);
        BufferedImage read = ImageIO.read(logoFile);
        BufferedImage tag = new BufferedImage(139, 53, 1);
        tag.getGraphics().drawImage(read, 0, 0, 139, 53, 0, 0, read.getWidth((ImageObserver) null), read.getHeight((ImageObserver) null), (ImageObserver) null);
        ByteArrayOutputStream output = new ByteArrayOutputStream();
        ImageIO.write(tag, "jpeg", output);
        String imgStr = new BASE64Encoder().encode(output.toByteArray());
        logoFile.delete();
        return "data:image/jpeg;base64," + imgStr;
    }

    public List<Map<String, Object>> getDevIp(HttpSession session, String ip, Integer offset, Integer limit) {
        return this.reportMapper.getDevIp(DataRule.getRuleWhere(session, "t_task"), ip, offset, limit);
    }

    public Integer getDevIpCount(HttpSession session, String ip) {
        return this.reportMapper.getDevIpCount(DataRule.getRuleWhere(session, "t_task"), ip);
    }

    public List<Map<String, Object>> secserList(Integer sysid) throws Exception {
        return this.reportMapper.secserList(sysid);
    }

    public int addSecser(Integer sysid, String secname, String seccomp) throws Exception {
        return this.reportMapper.addSecser(sysid, secname, seccomp);
    }

    public int delSecser(Integer sysid, String secname) throws Exception {
        return this.reportMapper.delSecser(sysid, secname);
    }

    public List<Map<String, Object>> riskList(Integer sysid) throws Exception {
        return this.reportMapper.riskList(sysid);
    }

    public Map<String, Object> getRisk(Integer id) throws Exception {
        return this.reportMapper.getRisk(id);
    }

    public int addRisk(Integer sysid, String number, String slevel, String desct, String dev, String threat, String result, String risklevel) throws Exception {
        return this.reportMapper.addRisk(sysid, number, slevel, desct, dev, threat, result, risklevel);
    }

    public int updRisk(Integer id, String number, String slevel, String desct, String dev, String threat, String result, String risklevel) throws Exception {
        return this.reportMapper.updRisk(id, number, slevel, desct, dev, threat, result, risklevel);
    }

    public int delRisk(Integer id) throws Exception {
        return this.reportMapper.delRisk(id);
    }

    public List<Map<String, Object>> getTaskDevById(Integer id) throws Exception {
        return this.reportMapper.getTaskDevById(id);
    }

    public List<Map<String, Object>> getTaskDevById2(Integer id) throws Exception {
        return this.reportMapper.getTaskDevById2(id);
    }

    public List<Map<String, Object>> getSysTaskDevById(Integer id) throws Exception {
        return this.reportMapper.getSysTaskDevById(id);
    }

    public List<Map<String, Object>> getTaskDevByHostid(Integer id) throws Exception {
        return this.reportMapper.getTaskDevByHostid(id);
    }

    private File createHtml(Map<String, Object> previewData, String reportType, String fileName, Integer expType) throws Exception {
        String url;
        File htmlDir = new File(Constant.TEMP_DIR, new StringBuilder(String.valueOf(System.nanoTime())).toString());
        File resTmpDir = new File(InitSystemTask.servletContext.getRealPath("/report/img"));
        FileUtils.copyDirectoryToDirectory(resTmpDir, htmlDir);
        File htmlFile = new File(htmlDir, fileName);
        List<?> keys = (List) previewData.get("chartKeys");
        if (keys != null) {
            for (Object keyObj : keys) {
                String key = String.valueOf(keyObj);
                if (previewData.get(key) instanceof Map) {
                    Map<String, Object> dataMap = (Map) previewData.get(key);
                    for (Map.Entry<String, Object> e : dataMap.entrySet()) {
                        byte[] chartBuf = (byte[]) e.getValue();
                        if (chartBuf != null) {
                            File f = new File(htmlDir, "img/" + e.getKey() + ".jpg");
                            FileUtils.writeByteArrayToFile(f, chartBuf);
                            dataMap.put(e.getKey(), "img/" + f.getName());
                        }
                    }
                    previewData.put(key, dataMap);
                } else {
                    byte[] chartBuf2 = (byte[]) previewData.get(key);
                    if (chartBuf2 != null) {
                        File f2 = new File(htmlDir, "img/" + key + ("networkTopology".equals(key) ? ".png" : ".jpg"));
                        FileUtils.writeByteArrayToFile(f2, chartBuf2);
                        previewData.put(key, "img/" + f2.getName());
                    }
                }
            }
        }
        try {
            Properties oem = (Properties) InitSystemTask.servletContext.getAttribute("oem");
            OutputStream os = new FileOutputStream(htmlFile);
            String sysname = oem.getProperty("sysname", "");
            if ("sys".equals(reportType)) {
                if (expType.intValue() == 0) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/sys-templ/sbr-preview.html";
                    } else {
                        url = "/report/sys-templ/preview.html";
                    }
                } else if ("漏洞扫描工具".equals(sysname)) {
                    url = "/report/sys-templ/sbr-preview-summary.html";
                } else {
                    url = "/report/sys-templ/preview-summary.html";
                }
            } else if ("bline".equals(reportType)) {
                if (expType.intValue() == 0) {
                    url = "/report/bline-templ/preview.html";
                } else {
                    url = "/report/bline-templ/preview-summary.html";
                }
            } else if ("pwd".equals(reportType)) {
                if (expType.intValue() == 0) {
                    url = "/report/pwd-templ/preview.html";
                } else {
                    url = "/report/pwd-templ/preview-summary.html";
                }
            } else if ("db".equals(reportType)) {
                if (expType.intValue() == 0) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/db-templ/sbr-preview.html";
                    } else {
                        url = "/report/db-templ/preview.html";
                    }
                } else if ("漏洞扫描工具".equals(sysname)) {
                    url = "/report/db-templ/sbr-preview-summary.html";
                } else {
                    url = "/report/db-templ/preview-summary.html";
                }
            } else if ("synt".equals(reportType)) {
                url = "/report/synt-templ/preview.html";
            } else if ("web".equals(reportType)) {
                if (expType.intValue() == 0) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/web-templ/sbr-preview.html";
                    } else {
                        url = "/report/web-templ/preview.html";
                    }
                } else if ("漏洞扫描工具".equals(sysname)) {
                    url = "/report/web-templ/sbr-preview-summary.html";
                } else {
                    url = "/report/web-templ/preview-summary.html";
                }
            } else if ("webkey".equals(reportType)) {
                url = "/report/web-templ/preview-key.html";
            } else if ("grade".equals(reportType)) {
                url = "/report/grade-templ/preview.html";
            } else if ("grade2".equals(reportType)) {
                url = "/report/grade-templ/preview2.html";
            } else if ("grade-hydw".equals(reportType)) {
                url = "/report/grade-templ/preview-hydw.html";
            } else if ("grade-custom".equals(reportType)) {
                url = "/report/grade-templ/preview-custom.html";
            } else if ("horse".equals(reportType)) {
                if (expType.intValue() == 0) {
                    url = "/report/horse-templ/preview.html";
                } else {
                    url = "/report/horse-templ/preview-summary.html";
                }
            } else if ("mali".equals(reportType)) {
                if (expType.intValue() == 0) {
                    url = "/report/mali-templ/preview.html";
                } else {
                    url = "/report/mali-templ/preview-summary.html";
                }
            } else if ("dlpscan".equals(reportType)) {
                if (expType.intValue() == 0) {
                    url = "/report/dlpscan-templ/preview.html";
                } else {
                    url = "/report/dlpscan-templ/preview-summary.html";
                }
            } else if ("hostscan".equals(reportType)) {
                url = "/report/hostscan-templ/preview-summary.html";
            } else if ("trend".equals(reportType)) {
                url = "/report/trend-templ/preview.html";
            } else if ("stuation".equals(reportType)) {
                url = "/report/stuation-templ/preview.html";
            } else {
                throw new UEException("不支持的类型");
            }
            FreemarkUtil.out(previewData, os, url, InitSystemTask.servletContext);
            IOUtils.closeQuietly(os);
            String content = FileUtils.readFileToString(htmlFile, "utf8");
            FileUtils.writeStringToFile(htmlFile, ObjectUtil.stripNonCharCodepoints(content), "utf8");
            return htmlFile;
        } catch (Throwable th) {
            IOUtils.closeQuietly((OutputStream) null);
            throw th;
        }
    }

    private Map<String, Map<String, List<Map<String, Object>>>> handlerProblem(List<Map<String, Object>> items, Boolean hdBfhSmall) {
        Map<String, Map<String, List<Map<String, Object>>>> problem = new HashMap<>();
        for (Map<String, Object> row : items) {
            String layer = ObjectUtil.getString(row.get("layer"), "");
            String val = ObjectUtil.getString(row.get("val"), (String) null);
            String result = ObjectUtil.getString(row.get("result"), "");
            String cons = ObjectUtil.getString(row.get("cons"), "");
            String sugg = ObjectUtil.getString(row.get("sugg"), "");
            String devname = ObjectUtil.getString(row.get("devname"), "");
            Map<String, List<Map<String, Object>>> devs = problem.get(layer);
            if (devs == null) {
                devs = new HashMap<>();
                problem.put(layer, devs);
            }
            List<Map<String, Object>> list = devs.get(devname);
            if (list == null) {
                list = new ArrayList<>();
                devs.put(devname, list);
            }
            list.add(row);
            if (hdBfhSmall != null && val != null) {
                String[] vals = val.split("\\|");
                String[] results = result.split("\\|");
                String[] conses = cons.split("\\|");
                String[] suggs = sugg.split("\\|");
                StringBuffer resultText = new StringBuffer();
                StringBuffer consText = new StringBuffer();
                StringBuffer suggText = new StringBuffer();
                for (int i = 0; i < vals.length; i++) {
                    if (vals[i].equals(hdBfhSmall.booleanValue() ? REPORT_STATE_READY : REPORT_STATE_SUCCESS)) {
                        if (results.length > i) {
                            resultText.append('|');
                            resultText.append(results[i]);
                        }
                        if (conses.length > i) {
                            consText.append('|');
                            consText.append(conses[i]);
                        }
                        if (suggs.length > i) {
                            suggText.append('|');
                            suggText.append(suggs[i]);
                        }
                    }
                }
                row.put("result", resultText.toString());
                row.put("cons", consText.toString());
                row.put("sugg", suggText.toString());
            }
        }
        return problem;
    }

    private Map<String, Map<String, List<Map<String, Object>>>> handlerProblem2(List<Map<String, Object>> itemsList, Boolean hdBfhSmall) {
        Map<String, Map<String, List<Map<String, Object>>>> problem = new HashMap<>();
        for (Map<String, Object> row : itemsList) {
            String layer = ObjectUtil.getString(row.get("layer"), "");
            String val = ObjectUtil.getString(row.get("val"), "0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0");
            String cons = ObjectUtil.getString(row.get("cons"), "");
            String items = ObjectUtil.getString(row.get("items"), "");
            String sugg = ObjectUtil.getString(row.get("sugg"), "");
            String devname = ObjectUtil.getString(row.get("devname"), "");
            Map<String, List<Map<String, Object>>> devs = problem.get(layer);
            if (devs == null) {
                devs = new HashMap<>();
                problem.put(layer, devs);
            }
            List<Map<String, Object>> list = devs.get(devname);
            if (list == null) {
                list = new ArrayList<>();
                devs.put(devname, list);
            }
            list.add(row);
            if (hdBfhSmall != null) {
                String[] vals = val.split("\\|");
                String[] results = items.split("/n");
                String[] conses = cons.split("/n");
                String[] suggs = sugg.split("/n");
                StringBuffer resultText = new StringBuffer();
                StringBuffer consText = new StringBuffer();
                StringBuffer suggText = new StringBuffer();
                for (int i = 0; i < vals.length; i++) {
                    if (vals[i].equals(hdBfhSmall.booleanValue() ? REPORT_STATE_READY : REPORT_STATE_SUCCESS)) {
                        if (results.length > i) {
                            resultText.append('|');
                            resultText.append(results[i]);
                        }
                        if (conses.length > i) {
                            consText.append('|');
                            consText.append(conses[i]);
                        }
                        if (suggs.length > i) {
                            suggText.append('|');
                            suggText.append(suggs[i]);
                        }
                    }
                }
                if (resultText.length() > 0) {
                    resultText.deleteCharAt(0);
                }
                if (consText.length() > 0) {
                    consText.deleteCharAt(0);
                }
                if (suggText.length() > 0) {
                    suggText.deleteCharAt(0);
                }
                row.put("result", resultText.toString());
                row.put("cons", consText.toString());
                row.put("sugg", suggText.toString());
            }
        }
        return problem;
    }

    private Map<String, Map<String, String[]>> handlerAnalyze(List<Map<String, Object>> analyzeList) {
        Map<String, Map<String, Map<Integer, List<String>>>> problem = new HashMap<>();
        for (Map<String, Object> row : analyzeList) {
            String layer = ObjectUtil.getString(row.get("layer"), "");
            String type = ObjectUtil.getString(row.get("type"), "");
            String cpoint = ObjectUtil.getString(row.get("cpoint"), "");
            Integer score = Integer.valueOf(ObjectUtil.getInt(row.get("score"), 0));
            Map<String, Map<Integer, List<String>>> typeMap = problem.get(layer);
            if (typeMap == null) {
                typeMap = new HashMap<>();
                problem.put(layer, typeMap);
            }
            Map<Integer, List<String>> cpoints = typeMap.get(type);
            if (cpoints == null) {
                cpoints = new HashMap<>();
                typeMap.put(type, cpoints);
            }
            List<String> list = cpoints.get(score);
            if (list == null) {
                list = new ArrayList<>();
                cpoints.put(score, list);
            }
            list.add(cpoint);
        }
        Map<String, Map<String, String[]>> result = new HashMap<>();
        for (Map.Entry<String, Map<String, Map<Integer, List<String>>>> entry : problem.entrySet()) {
            String key = entry.getKey();
            Map<String, String[]> row2 = new HashMap<>();
            result.put(key, row2);
            Map<String, Map<Integer, List<String>>> val = entry.getValue();
            for (Map.Entry<String, Map<Integer, List<String>>> entry1 : val.entrySet()) {
                String key1 = entry1.getKey();
                Map<Integer, List<String>> val1 = entry1.getValue();
                List<String> l0 = val1.get(0);
                List<String> l1 = val1.get(1);
                List<String> l5 = val1.get(5);
                Set<String> total = new HashSet<>();
                if (l5 == null) {
                    l5 = new ArrayList<>();
                }
                if (l0 == null) {
                    l0 = new ArrayList<>();
                }
                if (l1 == null) {
                    l1 = new ArrayList<>();
                }
                total.addAll(l5);
                total.addAll(l0);
                total.addAll(l1);
                List<String> mz = new ArrayList<>();
                List<String> bmz = new ArrayList<>();
                List<String> bfmz = new ArrayList<>();
                for (String cpoint2 : total) {
                    if (!l0.contains(cpoint2) && !l1.contains(cpoint2)) {
                        mz.add(cpoint2);
                    } else if (!l1.contains(cpoint2) && !l5.contains(cpoint2)) {
                        bmz.add(cpoint2);
                    } else {
                        bfmz.add(cpoint2);
                    }
                }
                StringBuffer fh = new StringBuffer();
                StringBuffer bfh = new StringBuffer();
                if (mz.size() > 0) {
                    fh.append("【" + StringUtils.join(mz, "、") + "】等控制点已满足等保检查要求；");
                }
                if (bmz.size() > 0) {
                    bfh.append("【" + StringUtils.join(bmz, "、") + "】等控制点不满足等保检查要求；");
                }
                if (bfmz.size() > 0) {
                    fh.append("【" + StringUtils.join(bfmz, "、") + "】等控制点部份满足等保检查要求；");
                    bfh.append("【" + StringUtils.join(bfmz, "、") + "】等控制点部份不满足等保检查要求；");
                }
                row2.put(key1, new String[]{fh.toString(), bfh.toString()});
            }
        }
        return result;
    }

    private Map<String, Object> getSysReportCpxml(String[] ids) throws Exception {
        Map<String, Object> r = new HashMap<>();
        List<Map<String, Object>> devlist = this.reportMapper.devlist(ids);
        List<Map<String, Object>> bugListMap = this.reportMapper.sysbuglist(ids);
        for (Map<String, Object> row : bugListMap) {
            double cvss = ObjectUtil.getDouble(row.get("cvss"), 0.0d);
            if (cvss >= 7.0d) {
                row.put("level", "高");
            } else if (cvss >= 4.0d && cvss < 7.0d) {
                row.put("level", "中");
            } else if (cvss > 0.0d && cvss < 4.0d) {
                row.put("level", "中");
            } else {
                row.put("level", "信息");
            }
        }
        Task task = this.taskBaseMapper.getTaskBydevId(ObjectUtil.getInt(ids[0]));
        r.put("scantask", task.getName());
        Map<String, List<Map<String, Object>>> buglist = EntryResult.parseEntryListMap(bugListMap, "deviceid");
        r.put("devlist", devlist);
        r.put("buglist", buglist);
        r.put("scantime", task == null ? new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) : task.getStartTime());
        return r;
    }

    private Map<String, Object> getWebReportCpxml(String[] ids) throws Exception {
        Map<String, Object> r = new HashMap<>();
        List<Map<String, Object>> devlist = this.reportMapper.devlist(ids);
        for (Map<String, Object> row : devlist) {
            String content = ObjectUtil.getString(row.get("confContent"), "{}");
            Map<?, ?> confObj = (Map) JsonUtil.MAPPER.readValue(content, Map.class);
            row.put("url", confObj.get("url"));
        }
        List<Map<String, Object>> bugListMap = this.reportMapper.webbuglist(ids);
        for (Map<String, Object> row2 : bugListMap) {
            String rawDataPath = ObjectUtil.getString(row2.get("rawDataPath"), (String) null);
            String testDataPath = ObjectUtil.getString(row2.get("testDataPath"), (String) null);
            String test = FileUtils.readFileToString(new File(Constant.WEB_SCAN_BUG, testDataPath), "UTF-8");
            if ("".equals(test) || "eJwDAAAAAAE=".equalsIgnoreCase(test)) {
                test = FileUtils.readFileToString(new File(Constant.WEB_SCAN_BUG, rawDataPath), "UTF-8");
            }
            byte[] testbyte = SecretUtil.base64Decoder(test);
            if (testbyte != null) {
                byte[] testreqhead = readD(testbyte, 0);
                int testoffset = 0 + testreqhead.length + 4;
                byte[] testreqbody = readD(testbyte, testoffset);
                int testoffset2 = testoffset + testreqbody.length + 4;
                byte[] testreshead = readD(testbyte, testoffset2);
                int testoffset3 = testoffset2 + testreshead.length + 4;
                byte[] testresbody = new byte[testbyte.length - testoffset3];
                System.arraycopy(testbyte, testoffset3, testresbody, 0, testbyte.length - testoffset3);
                row2.put("req", String.valueOf(new String(testreqhead, "utf8")) + "\r\n" + new String(testreqbody, "utf8"));
                row2.put("res", "");
            }
        }
        Task task = this.taskBaseMapper.getTaskBydevId(ObjectUtil.getInt(ids[0]));
        r.put("scantask", task.getName());
        Map<String, List<Map<String, Object>>> buglist = EntryResult.parseEntryListMap(bugListMap, "deviceid");
        r.put("devlist", devlist);
        r.put("buglist", buglist);
        r.put("scantime", CollectionUtils.isEmpty(devlist) ? new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) : devlist.get(0).get("startTime"));
        r.put("levelEntry", new HashMap<String, String>() { // from class: com.datacloudsec.scan.service.impl.ReportService.5
            private static final long serialVersionUID = 1;

            {
                put("High", "高");
                put("Medium", "中");
                put("Low", "低");
                put("Info", "信息");
            }
        });
        return r;
    }

    private Map<String, Map<String, Object>> parseResultSumm(List<Map<String, Object>> list) {
        Map<String, Map<String, Object>> resultSumm = new HashMap<>();
        for (Map<String, Object> row : list) {
            String layer = ObjectUtil.getString(row.get("layer"), "");
            String devname = ObjectUtil.getString(row.get("name"), "");
            String cpoint = ObjectUtil.getString(row.get("cpoint"), "");
            Integer fh = Integer.valueOf(ObjectUtil.getInt(row.get("fh"), 0));
            Integer bfh = Integer.valueOf(ObjectUtil.getInt(row.get("bfh"), 0));
            Integer bffh = Integer.valueOf(ObjectUtil.getInt(row.get("bffh"), 0));
            Integer bsy = Integer.valueOf(ObjectUtil.getInt(row.get("bsy"), 0));
            Map<String, Object> result = resultSumm.get(layer);
            if (result == null) {
                result = new HashMap<>();
                result.put("cpoint", new ArrayList());
                result.put("devs", new HashMap<>());
                resultSumm.put(layer, result);
            }
            List<String> cpointList = (List) result.get("cpoint");
            if (!cpointList.contains(cpoint)) {
                cpointList.add(cpoint);
            }
            Map<String, Map<String, List<Integer>>> devs = (Map) result.get("devs");
            Map<String, List<Integer>> scores = devs.get(devname);
            if (scores == null) {
                scores = new HashMap<>();
                scores.put("fh", new ArrayList<>());
                scores.put("bffh", new ArrayList<>());
                scores.put("bfh", new ArrayList<>());
                scores.put("bsy", new ArrayList<>());
                devs.put(devname, scores);
            }
            scores.get("bsy").add(bsy);
            scores.get("fh").add(fh);
            scores.get("bfh").add(bfh);
            scores.get("bffh").add(bffh);
        }
        return resultSumm;
    }

    private Map<String, Map<String, Object>> parseResultSumm2(List<Map<String, Object>> list) {
        Map<String, Map<String, Object>> resultSumm = new HashMap<>();
        for (Map<String, Object> row : list) {
            String layer = ObjectUtil.getString(row.get("layer"), "");
            String type = ObjectUtil.getString(row.get("type"), "");
            String devname = ObjectUtil.getString(row.get("name"), "");
            String cpoint = ObjectUtil.getString(row.get("cpoint"), "");
            Integer fh = Integer.valueOf(ObjectUtil.getInt(row.get("fh"), 0));
            Integer bfh = Integer.valueOf(ObjectUtil.getInt(row.get("bfh"), 0));
            Integer bffh = Integer.valueOf(ObjectUtil.getInt(row.get("bffh"), 0));
            Integer bsy = Integer.valueOf(ObjectUtil.getInt(row.get("bsy"), 0));
            Map<String, Object> result = resultSumm.get(layer);
            if (result == null) {
                result = new HashMap<>();
                result.put("cpoint", new ArrayList());
                resultSumm.put(layer, result);
            }
            List<String> cpointList = (List) result.get("cpoint");
            if (!cpointList.contains(cpoint)) {
                cpointList.add(cpoint);
            }
            Map<String, Map<String, List<Integer>>> devs = (Map) result.get(type);
            if (devs == null) {
                devs = new HashMap<>();
                result.put(type, devs);
            }
            Map<String, List<Integer>> scores = devs.get(devname);
            if (scores == null) {
                scores = new HashMap<>();
                scores.put("fh", new ArrayList<>());
                scores.put("bffh", new ArrayList<>());
                scores.put("bfh", new ArrayList<>());
                scores.put("bsy", new ArrayList<>());
                devs.put(devname, scores);
            }
            scores.get("bsy").add(bsy);
            scores.get("fh").add(fh);
            scores.get("bfh").add(bfh);
            scores.get("bffh").add(bffh);
        }
        return resultSumm;
    }

    private Map<String, Map<String, Map<String, Integer>>> parseResultSummCount(List<Map<String, Object>> list) {
        Map<String, Map<String, Map<String, Integer>>> resultSumm = new HashMap<>();
        for (Map<String, Object> row : list) {
            String layer = ObjectUtil.getString(row.get("layer"), "");
            String type = ObjectUtil.getString(row.get("type"), "");
            Integer total = Integer.valueOf(ObjectUtil.getInt(row.get("total"), 0));
            Integer fh = Integer.valueOf(ObjectUtil.getInt(row.get("fh"), 0));
            Integer bfh = Integer.valueOf(ObjectUtil.getInt(row.get("bfh"), 0));
            Integer bffh = Integer.valueOf(ObjectUtil.getInt(row.get("bffh"), 0));
            Integer bsy = Integer.valueOf(ObjectUtil.getInt(row.get("bsy"), 0));
            Map<String, Map<String, Integer>> result = resultSumm.get(layer);
            if (result == null) {
                result = new HashMap<>();
                resultSumm.put(layer, result);
            }
            Map<String, Integer> ddd = result.get(type);
            if (ddd == null) {
                ddd = new HashMap<>();
                result.put(type, ddd);
            }
            ddd.put("total", total);
            ddd.put("fh", fh);
            ddd.put("bffh", bffh);
            ddd.put("bfh", bfh);
            ddd.put("bsy", bsy);
        }
        return resultSumm;
    }

    private Map<String, Object> getDbReportCpxml(String[] ids) throws Exception {
        Map<String, Object> r = new HashMap<>();
        List<Map<String, Object>> devlist = this.reportMapper.devlist(ids);
        List<Map<String, Object>> bugListMap = this.reportMapper.dbbuglist(ids);
        Task task = this.taskBaseMapper.getTaskBydevId(ObjectUtil.getInt(ids[0]));
        r.put("scantask", task.getName());
        Map<String, List<Map<String, Object>>> dbbuglist = EntryResult.parseEntryListMap(bugListMap, "deviceid");
        r.put("devlist", devlist);
        r.put("dbbuglist", dbbuglist);
        r.put("scantime", CollectionUtils.isEmpty(devlist) ? new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) : devlist.get(0).get("startTime"));
        r.put("levelEntry", new HashMap<String, String>() { // from class: com.datacloudsec.scan.service.impl.ReportService.6
            private static final long serialVersionUID = 1;

            {
                put(ReportService.REPORT_STATE_SUCCESS, "高");
                put(ReportService.REPORT_STATE_FAILED, "高");
                put("3", "中");
                put("4", "低");
                put("5", "信息");
            }
        });
        return r;
    }

    public String saveReport_update(String idStr, String name, String type, String chktype, String reportType, String headerLogo, String headerText, String footerText, String startTime, String endTime, String ips, String curTime) throws Exception {
        String path;
        File destFile;
        String logoBase64;
        String pageName;
        byte[] result;
        String url;
        String logoBase642;
        String url2;
        byte[] result2;
        String url3;
        String[] ids = StringUtils.isBlank(idStr) ? new String[]{""} : idStr.split(",");
        List<File> files = new ArrayList<>();
        List<String> newNames = new ArrayList<>();
        File tempDir = new File(Constant.TEMP_DIR, new StringBuilder(String.valueOf(System.nanoTime())).toString());
        if (!tempDir.isDirectory()) {
            tempDir.mkdirs();
        }
        for (String id : ids) {
            Map<String, Object> dev = this.taskBaseMapper.getTaskDevById(ObjectUtil.getInt(id));
            if (!MapUtils.isNotEmpty(dev) || IPUtil.ipVaild(ObjectUtil.getString(dev.get("ip"), ""), ips)) {
                if (reportType.equalsIgnoreCase("hostscan")) {
                    Task taskDev = this.taskBaseMapper.getTaskBydevId(ObjectUtil.getInt(id));
                    reportType = (String) REPORT_TASK.get(taskDev.getTaskType());
                    chktype = (String) REPORT_CHK.get(REPORT_TASK.get(taskDev.getTaskType()));
                }
                Map<String, Object> previewData = null;
                if (type.equalsIgnoreCase("xml")) {
                    if ("sys".equals(reportType)) {
                        chktype = (String) REPORT_CHK.get("sys");
                    } else if ("pwd".equals(reportType)) {
                        chktype = "1,2,3,3.1,3.2,3.3";
                    } else if ("db".equals(reportType)) {
                        chktype = "1,2,3,3.1,3.2,3.3,4,5,7";
                    } else if ("web".equals(reportType)) {
                        chktype = "2,3,4,5,6,6.1,6.2,6.2.1,6.2.2,6.2.3,6.2.4,6.3,6.4,6.5";
                    } else if ("horse".equals(reportType)) {
                        chktype = "1,2,3";
                    } else if ("mali".equals(reportType)) {
                        chktype = "1,2,3";
                    } else if ("dlpscan".equals(reportType)) {
                        chktype = "1,2,3,3.1,3.2,3.3";
                    }
                }
                if ("sys".equals(reportType)) {
                    if (type.equalsIgnoreCase("xls")) {
                        previewData = getSysReportXls(ObjectUtil.getInt(id), chktype);
                    } else {
                        previewData = getSysReport(ObjectUtil.getInt(id), chktype);
                    }
                } else if ("bline".equals(reportType)) {
                    if (type.equalsIgnoreCase("xls")) {
                        previewData = getBlineReportXls(ObjectUtil.getInt(id), chktype);
                    } else {
                        previewData = getBlineReport(ObjectUtil.getInt(id), chktype);
                    }
                } else if ("pwd".equals(reportType)) {
                    previewData = getPwdReport(ObjectUtil.getInt(id), chktype);
                } else if ("db".equals(reportType)) {
                    if (type.equalsIgnoreCase("xls")) {
                        previewData = getDbReportXls(ObjectUtil.getInt(id), chktype);
                    } else {
                        previewData = getDbReport(ObjectUtil.getInt(id), chktype);
                    }
                } else if ("web".equals(reportType)) {
                    if (type.equalsIgnoreCase("xls")) {
                        previewData = getWebReportXls(ObjectUtil.getInt(id), chktype);
                    } else {
                        previewData = getWebReport(ObjectUtil.getInt(id), chktype);
                    }
                } else if ("webkey".equals(reportType)) {
                    int keyHandler = 0;
                    if (type.equalsIgnoreCase("html") || type.equalsIgnoreCase("pdf")) {
                        keyHandler = 1;
                    } else if (type.equalsIgnoreCase("doc")) {
                        keyHandler = 2;
                    }
                    previewData = getWebkeyReport(ObjectUtil.getInt(id), chktype, keyHandler);
                } else if ("synt".equals(reportType)) {
                    previewData = getSyntReport(idStr, chktype);
                } else if ("grade".equals(reportType)) {
                    previewData = getGradeReport(id, chktype);
                } else if ("grade2".equals(reportType)) {
                    previewData = getGrade2Report(id, chktype);
                } else if ("grade-hydw".equals(reportType)) {
                    previewData = getGradeHydwReport(id);
                } else if ("grade-custom".equals(reportType)) {
                    previewData = getGradeCustomReport(id);
                } else if ("horse".equals(reportType)) {
                    previewData = getHorseReport(ObjectUtil.getInt(id), chktype);
                } else if ("mali".equals(reportType)) {
                    previewData = getMaliReport(ObjectUtil.getInt(id), chktype);
                } else if ("dlpscan".equals(reportType)) {
                    previewData = getDlpscanReport(ObjectUtil.getInt(id), chktype);
                } else if ("trend".equals(reportType)) {
                    previewData = getTrendReport(chktype);
                } else if ("stuation".equals(reportType)) {
                    previewData = getStuationReport(chktype, startTime, endTime);
                }
                if (type.equalsIgnoreCase("xml")) {
                    path = String.valueOf(System.nanoTime()) + ".xml";
                    destFile = new File(tempDir, path);
                    destFile.createNewFile();
                    OutputStream os = null;
                    try {
                        os = new FileOutputStream(destFile);
                        if ("sys".equals(reportType)) {
                            url3 = "/report/sys-templ/xml.xml";
                        } else if ("bline".equals(reportType)) {
                            url3 = "/report/bline-templ/xml.xml";
                        } else if ("pwd".equals(reportType)) {
                            url3 = "/report/pwd-templ/xml.xml";
                        } else if ("db".equals(reportType)) {
                            url3 = "/report/db-templ/xml.xml";
                        } else if ("synt".equals(reportType)) {
                            url3 = "/report/synt-templ/xml.xml";
                        } else if ("web".equals(reportType)) {
                            url3 = "/report/web-templ/xml.xml";
                        } else if ("grade".equals(reportType)) {
                            url3 = "/report/grade-templ/xml.xml";
                        } else if ("horse".equals(reportType)) {
                            url3 = "/report/horse-templ/xml.xml";
                        } else if ("mali".equals(reportType)) {
                            url3 = "/report/mali-templ/xml.xml";
                        } else if ("dlpscan".equals(reportType)) {
                            url3 = "/report/dlpscan-templ/xml.xml";
                        } else {
                            throw new UEException("不支持的类型");
                        }
                        FreemarkUtil.out(previewData, os, url3, InitSystemTask.servletContext);
                        IOUtils.closeQuietly(os);
                    } finally {
                    }
                } else if (type.equalsIgnoreCase("doc")) {
                    List<?> keys = (List) previewData.get("chartKeys");
                    if (keys != null) {
                        for (Object keyObj : keys) {
                            String key = String.valueOf(keyObj);
                            if (previewData.get(key) instanceof Map) {
                                Map<String, Object> dataMap = (Map) previewData.get(key);
                                for (Map.Entry<String, Object> e : dataMap.entrySet()) {
                                    byte[] chartBuf = (byte[]) e.getValue();
                                    if (chartBuf != null) {
                                        dataMap.put(e.getKey(), new BASE64Encoder().encode(chartBuf));
                                    }
                                }
                                previewData.put(key, dataMap);
                            } else {
                                byte[] chartBuf2 = (byte[]) previewData.get(key);
                                if (chartBuf2 != null) {
                                    previewData.put(key, new BASE64Encoder().encode(chartBuf2));
                                }
                            }
                        }
                    }
                    if (StringUtils.isBlank(headerLogo)) {
                        File logo = new File(Constant.WORK_DIR, "resource/doc-logo.png");
                        byte[] content = FileUtils.readFileToByteArray(logo);
                        try {
                            result2 = SecretUtil.decryptEncrypt("aes", content, "anshuyun123SEF@#".getBytes());
                        } catch (Exception e2) {
                            result2 = content;
                        }
                        logoBase642 = new BASE64Encoder().encode(result2);
                    } else {
                        logoBase642 = headerLogo.substring("data:image/jpeg;base64,".length());
                    }
                    Properties oem = (Properties) InitSystemTask.servletContext.getAttribute("oem");
                    previewData.put("headerLogo", logoBase642);
                    previewData.put("headerText", ObjectUtil.getString(headerText, oem.getProperty("copyright")));
                    previewData.put("footerUrl", ObjectUtil.getString(footerText, oem.getProperty("copyright-url")));
                    path = String.valueOf(System.nanoTime()) + ".doc";
                    destFile = new File(tempDir, path);
                    destFile.createNewFile();
                    OutputStream os2 = null;
                    try {
                        os2 = new FileOutputStream(destFile);
                        String sysname = oem.getProperty("sysname", "");
                        if ("sys".equals(reportType)) {
                            if ("漏洞检测工具".equals(sysname)) {
                                url2 = "/report/sys-templ/sbr-doc.xml";
                            } else {
                                url2 = "/report/sys-templ/doc.xml";
                            }
                        } else if ("bline".equals(reportType)) {
                            url2 = "/report/bline-templ/doc.xml";
                        } else if ("pwd".equals(reportType)) {
                            url2 = "/report/pwd-templ/doc.xml";
                        } else if ("db".equals(reportType)) {
                            if ("漏洞检测工具".equals(sysname)) {
                                url2 = "/report/db-templ/sbr-doc.xml";
                            } else {
                                url2 = "/report/db-templ/doc.xml";
                            }
                        } else if ("synt".equals(reportType)) {
                            url2 = "/report/synt-templ/doc.xml";
                        } else if ("web".equals(reportType)) {
                            if ("漏洞检测工具".equals(sysname)) {
                                url2 = "/report/web-templ/sbr-doc.xml";
                            } else {
                                url2 = "/report/web-templ/doc.xml";
                            }
                        } else if ("webkey".equals(reportType)) {
                            url2 = "/report/web-templ/doc-key.xml";
                        } else if ("grade".equals(reportType)) {
                            url2 = "/report/grade-templ/doc.xml";
                        } else if ("grade2".equals(reportType)) {
                            url2 = "/report/grade-templ/doc2.xml";
                        } else if ("grade-hydw".equals(reportType)) {
                            url2 = "/report/grade-templ/doc-hydw.xml";
                        } else if ("grade-custom".equals(reportType)) {
                            url2 = "/report/grade-templ/doc-custom.xml";
                        } else if ("horse".equals(reportType)) {
                            url2 = "/report/horse-templ/doc.xml";
                        } else if ("mali".equals(reportType)) {
                            url2 = "/report/mali-templ/doc.xml";
                        } else if ("dlpscan".equals(reportType)) {
                            url2 = "/report/dlpscan-templ/doc.xml";
                        } else if ("trend".equals(reportType)) {
                            url2 = "/report/trend-templ/doc.xml";
                        } else if ("stuation".equals(reportType)) {
                            url2 = "/report/stuation-templ/doc.xml";
                        } else {
                            throw new UEException("不支持的类型");
                        }
                        FreemarkUtil.out(previewData, os2, url2, InitSystemTask.servletContext);
                        IOUtils.closeQuietly(os2);
                    } finally {
                    }
                } else if (type.equalsIgnoreCase("xls")) {
                    path = String.valueOf(System.nanoTime()) + ".xls";
                    destFile = new File(tempDir, path);
                    destFile.createNewFile();
                    OutputStream os3 = null;
                    try {
                        os3 = new FileOutputStream(destFile);
                        if ("sys".equals(reportType)) {
                            url = "/report/sys-templ/xls.xml";
                        } else if ("bline".equals(reportType)) {
                            url = "/report/bline-templ/xls.xml";
                        } else if ("pwd".equals(reportType)) {
                            url = "/report/pwd-templ/xls.xml";
                        } else if ("db".equals(reportType)) {
                            url = "/report/db-templ/xls.xml";
                        } else if ("synt".equals(reportType)) {
                            url = "/report/synt-templ/xls.xml";
                        } else if ("web".equals(reportType)) {
                            url = "/report/web-templ/xls.xml";
                        } else if ("grade".equals(reportType)) {
                            url = "/report/grade-templ/xls.xml";
                        } else if ("horse".equals(reportType)) {
                            url = "/report/horse-templ/xls.xml";
                        } else if ("mali".equals(reportType)) {
                            url = "/report/mali-templ/xls.xml";
                        } else if ("dlpscan".equals(reportType)) {
                            url = "/report/dlpscan-templ/xls.xml";
                        } else if ("trend".equals(reportType)) {
                            url = "/report/trend-templ/xls.xml";
                        } else if ("stuation".equals(reportType)) {
                            url = "/report/stuation-templ/xls.xml";
                        } else {
                            throw new UEException("不支持的类型");
                        }
                        FreemarkUtil.out(previewData, os3, url, InitSystemTask.servletContext);
                        IOUtils.closeQuietly(os3);
                    } finally {
                    }
                } else if (type.equalsIgnoreCase("html")) {
                    if (StringUtils.isBlank(headerLogo)) {
                        File logo2 = new File(Constant.WORK_DIR, "resource/doc-logo.png");
                        byte[] content2 = FileUtils.readFileToByteArray(logo2);
                        try {
                            result = SecretUtil.decryptEncrypt("aes", content2, "anshuyun123SEF@#".getBytes());
                        } catch (Exception e3) {
                            result = content2;
                        }
                        logoBase64 = "data:image/jpeg;base64," + new BASE64Encoder().encode(result);
                    } else {
                        logoBase64 = headerLogo;
                    }
                    previewData.put("headerLogo", logoBase64);
                    if ("synt".equals(reportType) || "grade".equals(reportType) || "grade2".equals(reportType) || "grade-hydw".equals(reportType) || "grade-custom".equals(reportType) || "trend".equals(reportType) || "stuation".equals(reportType) || "webkey".equals(reportType)) {
                        File htmlFile = createHtml(previewData, reportType, String.valueOf(name) + ".html", 0);
                        File htmlDir = htmlFile.getParentFile();
                        path = String.valueOf(System.nanoTime()) + ".zip";
                        destFile = new File(tempDir, path);
                        ZipUtil.toZip(destFile, htmlDir.listFiles(), (String) null);
                        FileUtils.deleteDirectory(htmlDir);
                    } else {
                        Map<String, Object> devInfo = this.reportMapper.getDevById(ObjectUtil.getInt(id));
                        if ("web".equals(reportType)) {
                            pageName = ObjectUtil.getString(devInfo.get("name"), (String) null).replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?)", "").replace(":", "-");
                        } else {
                            pageName = ObjectUtil.getString(devInfo.get("name"), (String) null).replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "");
                        }
                        File htmlFile2 = createHtml(previewData, reportType, String.valueOf(pageName) + ".html", 0);
                        destFile = htmlFile2.getParentFile();
                        path = new StringBuilder(String.valueOf(System.nanoTime())).toString();
                    }
                } else if (type.equalsIgnoreCase("pdf")) {
                    File pdfFile = createHtml(previewData, reportType, "index.html", 0);
                    File pdfDir = pdfFile.getParentFile();
                    File resDir = new File(pdfDir, "res");
                    path = String.valueOf(System.nanoTime()) + ".pdf";
                    destFile = new File(tempDir, path);
                    PdfUtil.htmlToPdf(pdfFile, resDir, destFile);
                } else {
                    throw new UEException("不支持指定的格式");
                }
                if ("synt".equals(reportType) || "grade".equals(reportType) || "grade2".equals(reportType) || "grade-hydw".equals(reportType) || "trend".equals(reportType) || "stuation".equals(reportType)) {
                    newNames.add(String.valueOf(reportType) + path.substring(path.lastIndexOf(".")));
                } else {
                    String newName = new StringBuilder(String.valueOf(System.nanoTime())).toString();
                    Map<String, Object> devInfo2 = this.reportMapper.getDevById(ObjectUtil.getInt(id));
                    if (MapUtils.isNotEmpty(devInfo2)) {
                        newName = ObjectUtil.getString(devInfo2.get("ip"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "");
                    }
                    if ("hostscan".equals(reportType)) {
                        if ("web".equals(reportType)) {
                            newName = ObjectUtil.getString(devInfo2.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?)", "").replace(":", "-");
                        } else {
                            newName = ObjectUtil.getString(devInfo2.get("name"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "");
                        }
                    } else if ("db".equals(reportType) || "bline".equals(reportType)) {
                        newName = ObjectUtil.getString(devInfo2.get("name"), "");
                    } else if ("web".equals(reportType)) {
                        String conf = ObjectUtil.getString(devInfo2.get("confContent"), "");
                        if (StringUtils.isNotBlank(conf)) {
                            Map<String, Object> confContent = (Map) JsonUtil.MAPPER_ESCAPE_HTML.readValue(conf, Map.class);
                            newName = ObjectUtil.getString(confContent.get("url"), "").replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?)", "").replace(":", "-");
                        } else {
                            newName = ObjectUtil.getString(devInfo2.get("ip"), "");
                        }
                    }
                    if (StringUtils.isNotBlank(newName)) {
                        newName = String.valueOf(newName) + (path.contains(".") ? path.substring(path.lastIndexOf(".")) : "");
                    }
                    newNames.add(newName);
                }
                files.add(destFile);
                if ("synt".equals(reportType) || "grade".equals(reportType) || "trend".equals(reportType) || "stuation".equals(reportType) || "webkey".equals(reportType)) {
                    break;
                }
            }
        }
        if (!"webkey".equals(reportType) && !"synt".equals(reportType) && !"grade".equals(reportType) && !"grade2".equals(reportType) && !"grade-hydw".equals(reportType) && !"grade-custom".equals(reportType) && !"trend".equals(reportType) && !"stuation".equals(reportType) && !type.equalsIgnoreCase("xls")) {
            Task task = this.taskBaseMapper.getTaskBydevId(ObjectUtil.getInt(ids[0]));
            task.setName(String.valueOf(task.getName().replaceAll("(\"|<|>|(\\|)|/|\\\\|\\*|\\?|:)", "")) + "_" + new SimpleDateFormat("yyyyMMdd_HHmmss").format(new Date()));
            if (type.equalsIgnoreCase("html")) {
                File htmlZip = new File(tempDir, new StringBuilder(String.valueOf(System.nanoTime())).toString());
                ZipUtil.unZip(exportSummary(reportType.equalsIgnoreCase("hostscan") ? task.getHostId() : task.getId(), task.getName(), type, chktype, reportType, headerLogo, headerText, footerText), htmlZip, (String) null);
                files.addAll(Arrays.asList(htmlZip.listFiles()));
            } else {
                File tmpFile = exportSummary(reportType.equalsIgnoreCase("hostscan") ? task.getHostId() : task.getId(), task.getName(), type, chktype, reportType, headerLogo, headerText, footerText);
                File f = new File(tempDir, String.valueOf(name) + tmpFile.getName().substring(tmpFile.getName().lastIndexOf("."), tmpFile.getName().length()));
                FileUtils.copyFile(tmpFile, f);
                files.add(f);
            }
        }
        if (files.size() > 1) {
            File zipFile = new File(Constant.REPORT_LIST, String.valueOf(System.nanoTime()) + ".zip");
            ZipUtil.toZip(zipFile, (File[]) files.toArray(new File[0]), (String[]) newNames.toArray(new String[0]), (String) null);
            this.reportMapper.updReportList(zipFile.getName(), REPORT_STATE_SUCCESS, curTime);
            FileUtils.deleteDirectory(tempDir);
            return zipFile.getName();
        }
        this.reportMapper.updReportList(files.get(0).getName(), REPORT_STATE_SUCCESS, curTime);
        FileUtils.copyFileToDirectory(files.get(0), Constant.REPORT_LIST);
        FileUtils.deleteDirectory(tempDir);
        return files.get(0).getName();
    }

    public String saveReportCpxml_update(String idStr, String name, String reportType, String curTime) throws Exception {
        Map<String, Object> previewData;
        String url;
        if (!idStr.matches("[0-9,]+")) {
            throw new UEException("参数错误");
        }
        File destFile = new File(Constant.TEMP_DIR, String.valueOf(System.nanoTime()) + ".xml");
        String[] ids = idStr.split(",");
        if ("sys".equals(reportType)) {
            previewData = getSysReportCpxml(ids);
            url = "/report/sys-templ/cpxml.xml";
        } else if ("db".equals(reportType)) {
            previewData = getDbReportCpxml(ids);
            url = "/report/db-templ/cpxml.xml";
        } else if ("web".equals(reportType)) {
            previewData = getWebReportCpxml(ids);
            url = "/report/web-templ/cpxml.xml";
        } else {
            throw new UEException("不支持的类型");
        }
        OutputStream os = null;
        try {
            os = new FileOutputStream(destFile);
            FreemarkUtil.out(previewData, os, url, InitSystemTask.servletContext);
            IOUtils.closeQuietly(os);
            this.reportMapper.insert(name, destFile.getName(), reportType, (Integer) null, REPORT_STATE_SUCCESS, curTime);
            FileUtils.copyFileToDirectory(destFile, Constant.REPORT_LIST);
            destFile.delete();
            return destFile.getName();
        } catch (Throwable th) {
            IOUtils.closeQuietly(os);
            throw th;
        }
    }

    public void insertReportList(HttpSession session, String name, String type, String reportState, String curTime) {
        this.reportMapper.insert(name, "onlyname", type, (Integer) null, reportState, curTime);
    }

    public File exportSummarySingle(Integer taskid, String name, String type, String chktype, String reportType, String headerLogo, String headerText, String footerText) throws Exception {
        String path;
        File destFile;
        String logoBase64;
        byte[] result;
        String logoBase642;
        OutputStream os;
        String url;
        byte[] result2;
        String url2;
        File tempDir = new File(Constant.TEMP_DIR, new StringBuilder(String.valueOf(System.nanoTime())).toString());
        if (!tempDir.isDirectory()) {
            tempDir.mkdirs();
        }
        Map<String, Object> previewData = null;
        if ("sys".equals(reportType)) {
            previewData = getSysReportSummary(taskid, chktype, 1);
        } else if ("bline".equals(reportType)) {
            previewData = getBlineReportSummary(taskid, chktype, 1);
        } else if ("pwd".equals(reportType)) {
            previewData = getPwdReportSummary(taskid, chktype, 1);
        } else if ("db".equals(reportType)) {
            previewData = getDbReportSummary(taskid, chktype, 1);
        } else if ("web".equals(reportType)) {
            previewData = getWebReportSummary(taskid, chktype, 1);
        } else if ("horse".equals(reportType)) {
            previewData = getHorseReportSummary(taskid, chktype, 1);
        } else if ("mali".equals(reportType)) {
            previewData = getMaliReportSummary(taskid, chktype, 1);
        } else if ("dlpscan".equals(reportType)) {
            previewData = getDlpscanReportSummary(taskid, chktype, 1);
        } else if ("hostscan".equals(reportType)) {
            previewData = getHostscanReportSummary(taskid, chktype);
        } else if ("webkey".equals(reportType)) {
            int keyHandler = 0;
            if (type.equalsIgnoreCase("html") || type.equalsIgnoreCase("pdf")) {
                keyHandler = 1;
            } else if (type.equalsIgnoreCase("doc")) {
                keyHandler = 2;
            }
            previewData = getWebkeyReport(taskid, chktype, keyHandler);
        }
        if (type.equalsIgnoreCase("xml")) {
            path = String.valueOf(System.nanoTime()) + ".xml";
            destFile = new File(tempDir, path);
            destFile.createNewFile();
            os = null;
            try {
                os = new FileOutputStream(destFile);
                if ("sys".equals(reportType)) {
                    url2 = "/report/sys-templ/summary.xml";
                } else if ("bline".equals(reportType)) {
                    url2 = "/report/bline-templ/summary.xml";
                } else if ("pwd".equals(reportType)) {
                    url2 = "/report/pwd-templ/summary.xml";
                } else if ("db".equals(reportType)) {
                    url2 = "/report/db-templ/summary.xml";
                } else if ("synt".equals(reportType)) {
                    url2 = "/report/synt-templ/summary.xml";
                } else if ("web".equals(reportType)) {
                    url2 = "/report/web-templ/summary.xml";
                } else if ("grade".equals(reportType)) {
                    url2 = "/report/grade-templ/summary.xml";
                } else if ("horse".equals(reportType)) {
                    url2 = "/report/horse-templ/summary.xml";
                } else if ("mali".equals(reportType)) {
                    url2 = "/report/mali-templ/summary.xml";
                } else if ("dlpscan".equals(reportType)) {
                    url2 = "/report/dlpscan-templ/summary.xml";
                } else if ("hostscan".equals(reportType)) {
                    url2 = "/report/hostscan-templ/summary.xml";
                } else {
                    throw new UEException("不支持的类型");
                }
                FreemarkUtil.out(previewData, os, url2, InitSystemTask.servletContext);
            } finally {
            }
        } else if (type.equalsIgnoreCase("doc")) {
            List<?> keys = (List) previewData.get("chartKeys");
            if (keys != null) {
                for (Object keyObj : keys) {
                    String key = String.valueOf(keyObj);
                    if (previewData.get(key) instanceof Map) {
                        Map<String, Object> dataMap = (Map) previewData.get(key);
                        for (Map.Entry<String, Object> e : dataMap.entrySet()) {
                            byte[] chartBuf = (byte[]) e.getValue();
                            if (chartBuf != null) {
                                dataMap.put(e.getKey(), new BASE64Encoder().encode(chartBuf));
                            }
                        }
                        previewData.put(key, dataMap);
                    } else {
                        byte[] chartBuf2 = (byte[]) previewData.get(key);
                        if (chartBuf2 != null) {
                            previewData.put(key, new BASE64Encoder().encode(chartBuf2));
                        }
                    }
                }
            }
            if (StringUtils.isBlank(headerLogo)) {
                File logo = new File(Constant.WORK_DIR, "resource/doc-logo.png");
                byte[] content = FileUtils.readFileToByteArray(logo);
                try {
                    result2 = SecretUtil.decryptEncrypt("aes", content, "anshuyun123SEF@#".getBytes());
                } catch (Exception e2) {
                    result2 = content;
                }
                logoBase642 = new BASE64Encoder().encode(result2);
            } else {
                logoBase642 = headerLogo.substring("data:image/jpeg;base64,".length());
            }
            Properties oem = (Properties) InitSystemTask.servletContext.getAttribute("oem");
            previewData.put("headerLogo", logoBase642);
            previewData.put("headerText", ObjectUtil.getString(headerText, oem.getProperty("copyright")));
            previewData.put("footerUrl", ObjectUtil.getString(footerText, oem.getProperty("copyright-url")));
            path = String.valueOf(System.nanoTime()) + ".doc";
            destFile = new File(tempDir, path);
            destFile.createNewFile();
            os = null;
            try {
                OutputStream os2 = new FileOutputStream(destFile);
                String sysname = oem.getProperty("sysname", "");
                if ("sys".equals(reportType)) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/sys-templ/sbr-doc-summary.xml";
                    } else {
                        url = "/report/sys-templ/doc-summary.xml";
                    }
                } else if ("bline".equals(reportType)) {
                    url = "/report/bline-templ/doc-summary.xml";
                } else if ("pwd".equals(reportType)) {
                    url = "/report/pwd-templ/doc-summary.xml";
                } else if ("db".equals(reportType)) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/db-templ/sbr-doc-summary.xml";
                    } else {
                        url = "/report/db-templ/doc-summary.xml";
                    }
                } else if ("synt".equals(reportType)) {
                    url = "/report/synt-templ/doc.xml";
                } else if ("web".equals(reportType)) {
                    if ("漏洞扫描工具".equals(sysname)) {
                        url = "/report/web-templ/sbr-doc-summary.xml";
                    } else {
                        url = "/report/web-templ/doc-summary.xml";
                    }
                } else if ("webkey".equals(reportType)) {
                    url = "/report/web-templ/doc-key.xml";
                } else if ("grade".equals(reportType)) {
                    url = "/report/grade-templ/doc.xml";
                } else if ("horse".equals(reportType)) {
                    url = "/report/horse-templ/doc-summary.xml";
                } else if ("mali".equals(reportType)) {
                    url = "/report/mali-templ/doc-summary.xml";
                } else if ("dlpscan".equals(reportType)) {
                    url = "/report/dlpscan-templ/doc-summary.xml";
                } else if ("hostscan".equals(reportType)) {
                    url = "/report/hostscan-templ/doc-summary.xml";
                } else if ("trend".equals(reportType)) {
                    url = "/report/trend-templ/doc.xml";
                } else if ("stuation".equals(reportType)) {
                    url = "/report/stuation-templ/doc.xml";
                } else {
                    throw new UEException("不支持的类型");
                }
                FreemarkUtil.out(previewData, os2, url, InitSystemTask.servletContext);
                IOUtils.closeQuietly(os2);
            } finally {
            }
        } else if (type.equalsIgnoreCase("html")) {
            if (StringUtils.isBlank(headerLogo)) {
                File logo2 = new File(Constant.WORK_DIR, "resource/doc-logo.png");
                byte[] content2 = FileUtils.readFileToByteArray(logo2);
                try {
                    result = SecretUtil.decryptEncrypt("aes", content2, "anshuyun123SEF@#".getBytes());
                } catch (Exception e3) {
                    result = content2;
                }
                logoBase64 = "data:image/jpeg;base64," + new BASE64Encoder().encode(result);
            } else {
                logoBase64 = headerLogo;
            }
            previewData.put("headerLogo", logoBase64);
            File htmlDir = createHtml(previewData, reportType, String.valueOf(name) + ".html", 1).getParentFile();
            path = String.valueOf(System.nanoTime()) + ".zip";
            destFile = new File(tempDir, path);
            ZipUtil.toZip(destFile, htmlDir.listFiles(), (String) null);
            FileUtils.deleteDirectory(htmlDir);
        } else if (type.equalsIgnoreCase("pdf")) {
            File htmlFile = createHtml(previewData, reportType, "index.html", 1);
            File resDir = new File(htmlFile.getParentFile(), "res");
            path = String.valueOf(System.nanoTime()) + ".pdf";
            destFile = new File(tempDir, path);
            PdfUtil.htmlToPdf(htmlFile, resDir, destFile);
        } else {
            throw new UEException("不支持指定的格式");
        }
        String name2 = StringUtils.replaceEach(name, new String[]{"http", "https"}, new String[]{"", ""});
        if (StringUtils.isNotBlank(name2)) {
            name2 = String.valueOf(name2) + "汇总报告" + (path.contains(".") ? path.substring(path.lastIndexOf(".")) : "");
        }
        String curTime = new StringBuilder(String.valueOf(System.currentTimeMillis())).toString();
        this.reportMapper.insert(name2, destFile.getName(), reportType, (Integer) null, REPORT_STATE_SUCCESS, curTime);
        File expFile = new File(Constant.REPORT_LIST, destFile.getName());
        FileUtils.copyFile(destFile, expFile);
        FileUtils.deleteDirectory(tempDir);
        return expFile;
    }
}
